@echo off
rem ----------------------------------------------------------------
rem Monitoring Agent for CLM Server Monitoring
rem Version 405
rem Windows Installation Script
rem
rem IBM
rem
rem This file was created by the IBM Tivoli Monitoring Agent Builder
rem Version 6.3.0
rem	IBM Tivoli Monitoring Agent Generator 6.3.0 201302201339
rem	IBM Tivoli Monitoring OSLC Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder CIM Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Custom Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder HTTP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder ICMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JDBC Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JMX Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Log Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder SNMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder WMI Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring TMS DLA Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder UI 6.3.0 201302201339
rem	IBM Tivoli Monitoring Remote Deploy 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Common 6.3.0 201302201339
rem	IBM Tivoli Omnibus 6.3.0 201302201339
rem ----------------------------------------------------------------

setlocal EnableExtensions EnableDelayedExpansion
set errorlevel=
if "%~1" == "" goto usage

if not exist %1 goto nodir

set ITM_ROOT=%~sf1
set HAVE_HUBTEMS_HOST=0
set HAVE_HUBTEMS_USER=0
set HAVE_HUBTEMS_PASS=0
set RESTART_TEPS=0
:processArg
if "%~1" == "" goto endArgs
if "%~1" == "-h" (
    set HUBTEMS_HOST=%2
    set HAVE_HUBTEMS_HOST=1
    shift
)
if "%~1" == "-u" (
    set HUBTEMS_USER=%2
    set HAVE_HUBTEMS_USER=1
    shift
)
if "%~1" == "-p" (
    set HUBTEMS_PASS=%2
    set HAVE_HUBTEMS_PASS=1
    shift
)
if "%~1" == "-r" (
    set RESTART_TEPS=1
    shift
)
shift
goto processArg

:endArgs

rem if host is provided, we must have a username.  Password will be prompted for if not supplied.
if %HAVE_HUBTEMS_HOST% EQU 1 (
    if %HAVE_HUBTEMS_USER% EQU 0 goto usage
)

rem Call the agent install script.
call installIraAgent.bat %ITM_ROOT%
if errorlevel 1 GOTO fail

rem Call the TEMS install script.
if %HAVE_HUBTEMS_HOST% EQU 1 (
    if %HAVE_HUBTEMS_PASS% EQU 1 (
        call installIraAgentTEMS.bat %ITM_ROOT% -h %HUBTEMS_HOST% -u %HUBTEMS_USER% -p %HUBTEMS_PASS%
    ) else (
        call installIraAgentTEMS.bat %ITM_ROOT% -h %HUBTEMS_HOST% -u %HUBTEMS_USER%
    )
) else (
    if %HAVE_HUBTEMS_USER% EQU 1 (
        if %HAVE_HUBTEMS_PASS% EQU 1 (
            call installIraAgentTEMS.bat %ITM_ROOT% -u %HUBTEMS_USER% -p %HUBTEMS_PASS%
        ) else (
            call installIraAgentTEMS.bat %ITM_ROOT% -u %HUBTEMS_USER%
        )
    ) else (
        call installIraAgentTEMS.bat %ITM_ROOT%
    )
)
if errorlevel 1 GOTO fail

rem Call the TEPS install script.
if %HAVE_HUBTEMS_USER% EQU 0 (
    rem No TEMS user so restart the TEPS
    call installIraAgentTEPS.bat %ITM_ROOT% -r
) else (
    if %RESTART_TEPS% EQU 1 (
        call installIraAgentTEPS.bat %ITM_ROOT% -r
    ) else (
        call installIraAgentTEPS.bat %ITM_ROOT%
    )
)
if errorlevel 1 GOTO fail

goto end

:usage
@echo Usage:  installIra.bat ^<ITM installation directory^> [[-h ^<HUB TEMS hostname^>] -u ^<HUB TEMS username^> [-p ^<HUB TEMS password^>]] [-r]
@echo Where -r indicates that the TEPS should be restarted
@echo If HUB TEMS and Username are provided but password is not, you will be prompted for the password
goto fail

:nodir
@echo The ITM installation directory passed in does not exist.
:fail
exit /b 1
:end
exit /b 0
