@echo off
rem ----------------------------------------------------------------
rem Monitoring Agent for CLM Server Monitoring
rem Version 405
rem Agent Installation Script for Windows
rem
rem IBM
rem
rem This file was created by the IBM Tivoli Monitoring Agent Builder
rem Version 6.3.0
rem	IBM Tivoli Monitoring Agent Generator 6.3.0 201302201339
rem	IBM Tivoli Monitoring OSLC Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder CIM Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Custom Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder HTTP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder ICMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JDBC Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JMX Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Log Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder SNMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder WMI Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring TMS DLA Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder UI 6.3.0 201302201339
rem	IBM Tivoli Monitoring Remote Deploy 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Common 6.3.0 201302201339
rem	IBM Tivoli Omnibus 6.3.0 201302201339
rem ----------------------------------------------------------------

setlocal EnableExtensions EnableDelayedExpansion
set errorlevel=
if "%~1" == "" goto usage

set CANDLE_HOME=%~sf1
set SOURCE_DIR=.\
@rem CANDLE_HOME will be changed if a second non-switch argument is detected later

if "%~2" == "" goto endArgs
set nextArg=%~2
if "%nextArg:~0,1%" == "-" goto processSwitches

@rem The second non-switch argument is the ITM instllation directory.
@rem The first is the installation source location.
if not exist %1 goto nodir
set SOURCE_DIR=%~1\
set CANDLE_HOME=%~sf2
shift

:processSwitches
@rem With "shift", every argument can be referred to as "%1"
shift
set remotedeploy=false
set exit=false

:processArg
if "%~1" == "" goto endArgs
if "%~1" == "-r" set remotedeploy=true
if "%~1" == "-e" set exit=true
shift
goto processArg

:endArgs
@rem on Windows ending the path with a \ causes problems
set chVar=%CANDLE_HOME:~-1%
if "%chVar%" == "\" set CANDLE_HOME=%CANDLE_HOME:~0,-1%
echo Installing agent into %CANDLE_HOME%
if not exist "%CANDLE_HOME%" goto nodir
set TMA_DIR=%CANDLE_HOME%\TMAITM6
set WIN_ARCH=winnt
set WIN_SHORT_ARCH=WI
if not exist %CANDLE_HOME%\InstallITM\ver\KCD%WIN_SHORT_ARCH%CMA.ver (
if exist "%CANDLE_HOME%\TMAITM6_x64" set TMA_DIR=%CANDLE_HOME%\TMAITM6_x64
if exist "%CANDLE_HOME%\TMAITM6_x64" set WIN_ARCH=wix64
if exist "%CANDLE_HOME%\TMAITM6_x64" set WIN_SHORT_ARCH=64
)
if not exist "%TMA_DIR%\" goto notmadir
if not exist "%TMA_DIR%\CAP" mkdir "%TMA_DIR%\CAP"
if not exist "%TMA_DIR%\SQLLIB" mkdir "%TMA_DIR%\SQLLIB"
if not exist "%TMA_DIR%\EIFLIB" mkdir "%TMA_DIR%\EIFLIB"
if not exist "%CANDLE_HOME%\logs" mkdir "%CANDLE_HOME%\logs"
if not exist "%TMA_DIR%\logs" mkdir "%TMA_DIR%\logs"
if not exist "%CANDLE_HOME%\InstallITM\ver\KGL%WIN_SHORT_ARCH%CMA.ver" goto notema

if not exist "%TMA_DIR%\support" mkdir "%TMA_DIR%\support"
if not exist "%TMA_DIR%\support\cd" mkdir "%TMA_DIR%\support\cd"
if not exist "%SOURCE_DIR%ira\agent\%WIN_ARCH%\queryIRA.exe" goto noplatfsupport

rem Check for ver file before parsing it
if not exist "%CANDLE_HOME%\InstallITM\ver\KGL%WIN_SHORT_ARCH%CMA.ver" goto noframework
FOR /F "TOKENS=1,2 DELIMS== " %%i IN ('%SYSTEMROOT%\System32\FIND "VRMF=" "%CANDLE_HOME%\InstallITM\ver\KGL%WIN_SHORT_ARCH%CMA.ver"') DO (
    IF %%i==VRMF (SET GLVRMF=%%j)
)
if %GLVRMF% LSS 06210000 (
    echo This agent requires ITM version 06210000 ^(6.2.1^) or higher to work correctly.
    echo The ITM installation in "%CANDLE_HOME%" is version %GLVRMF%,
    echo thus the agent can not install.
    set errorlevel=7
    goto :end
)

rem clear ERRORLEVEL before calling main
cmd /c echo > NUL
call :main > "%TMA_DIR%\logs\KCDinstall.log" 2>&1
@echo off
if %ERRORLEVEL% EQU 0 (
    echo Install of KCD Agent successful. > CON
) else (
    echo Install of KCD Agent failed.
    echo See %TMA_DIR%\logs\KCDinstall.log for details.
)
goto :eof

:main
@echo on

    @echo Installing KCD ..... > CON
rem ----------------------------------------------------------------
rem Monitoring Agent for CLM Server Monitoring
rem Version 405
rem kCD Installation Log
rem
rem IBM
rem
rem This file was created by the IBM Tivoli Monitoring Agent Builder
rem Version 6.3.0
rem	IBM Tivoli Monitoring Agent Generator 6.3.0 201302201339
rem	IBM Tivoli Monitoring OSLC Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder CIM Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Custom Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder HTTP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder ICMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JDBC Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JMX Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Log Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder SNMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder WMI Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring TMS DLA Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder UI 6.3.0 201302201339
rem	IBM Tivoli Monitoring Remote Deploy 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Common 6.3.0 201302201339
rem	IBM Tivoli Omnibus 6.3.0 201302201339
rem ----------------------------------------------------------------

rem Create a copy of the ENV file with the correct ITM home
rem inserted into it.
"%SOURCE_DIR%\ira\agent\winnt\txtsub.exe" "%SOURCE_DIR%ira\agent\%WIN_ARCH%\ira-KCDENV_installation_file" "%TMA_DIR%\KCDENV.expanded" "|CANDLE_HOME|" "%CANDLE_HOME%"
if "%WIN_ARCH%" == "winnt" (
    if exist "%CANDLE_HOME%\InstallITM\GetGSKitHome.bat" (
        FOR /F %%A IN ('"%CANDLE_HOME%\InstallITM\GetGSKitHome.bat"') DO (
            set GSK_DIR=%%A
        )
    ) else (
        FOR /F "tokens=1,2 delims==" %%A IN ('%SYSTEMROOT%\System32\FIND "ICCRTE_DIR=" "%CANDLE_HOME%\BIN\KUIENV"') DO (
            if "%%A" == "ICCRTE_DIR" set GSK_DIR=%%B
        )
    )
) else if "%WIN_ARCH%" == "wix64" (
    if exist "%CANDLE_HOME%\InstallITM\GetGSKitHome64.bat" (
        FOR /F %%A IN ('"%CANDLE_HOME%\InstallITM\GetGSKitHome64.bat"') DO (
            set GSK_DIR=%%A
        )
    ) else (
        set GSK_DIR="%CANDLE_HOME%\GSK7_x64"
    )
)
"%SOURCE_DIR%\ira\agent\winnt\txtsub.exe" "%TMA_DIR%\KCDENV.expanded" "%TMA_DIR%\KCDENV.expanded" "|ICCRTE_DIR|" "%GSK_DIR%"
if exist %CANDLE_HOME%\InstallITM\ver\KCD%WIN_SHORT_ARCH%CMA.ver (
    set UPGRADE=y
    set INSTANCELIST=
    FOR /F "tokens=1 delims=." %%A IN ('dir /B "%TMA_DIR%\KCDAGENT_*"') DO (
      FOR /F "tokens=2 delims=_" %%B IN ("%%A") DO (
        net stop KCDCMA_%%B
        IF NOT ERRORLEVEL 2 call :addToInstanceList KCDCMA_%%B
        @call :copyFile "%SOURCE_DIR%ira\agent\%WIN_ARCH%\queryIRA.exe" "%TMA_DIR%\KCDAGENT_%%B.exe"   &@if errorlevel 1 goto end
        "%SOURCE_DIR%\ira\agent\winnt\txtsub.exe" -u "%TMA_DIR\KCDENV.expanded" "%TMA_DIR%\KCDENV_%%B"
        "%SOURCE_DIR%\ira\agent\winnt\txtsub.exe" -i "%SOURCE_DIR%ira\agent\%WIN_ARCH%\ira-KCDCMA.INI" "%TMA_DIR%\kcdcma_%%B.ini"
      )
    )
) else (
    set UPGRADE=n
)

@call :copyFile "%SOURCE_DIR%ira\agent\%WIN_ARCH%\queryIRA.exe" "%TMA_DIR%\kcdagent.exe"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%\support\KCDMSMAN.txt" "%TMA_DIR%\support\cd\KCDMSMAN.txt"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%\support\KCDJSTMS.jar" "%TMA_DIR%\support\cd\KCDJSTMS.jar"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%\support\KCDJSTPS.jar" "%TMA_DIR%\support\cd\KCDJSTPS.jar"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%\support\KCDJSTPW.jar" "%TMA_DIR%\support\cd\KCDJSTPW.jar"   &@if errorlevel 1 goto end
if exist "%SOURCE_DIR%ira\agent\common\KCDAGENT0400.SYS2" (
  @call :copyFile "%SOURCE_DIR%ira\agent\common\KCDAGENT0400.SYS2" "%TMA_DIR%\KCDAGENT0400.SYS2"   &@if errorlevel 1 goto end
)

if not exist "%TMA_DIR%\KCDENV" (
  @call :copyFile "%TMA_DIR%\KCDENV.expanded" "%TMA_DIR%\KCDENV"   &@if errorlevel 1 goto end
) else (
  "%SOURCE_DIR%\ira\agent\winnt\txtsub.exe" -u "%TMA_DIR%\KCDENV.expanded" "%TMA_DIR%\KCDENV"
)
del "%TMA_DIR%\KCDENV.expanded"
if not exist "%TMA_DIR%\kcdcma.ini" (
    @call :copyFile "%SOURCE_DIR%ira\agent\%WIN_ARCH%\ira-KCDCMA.INI" "%TMA_DIR%\kcdcma.ini"   &@if errorlevel 1 goto end
) else (
    "%SOURCE_DIR%\ira\agent\winnt\txtsub.exe" -i "%SOURCE_DIR%ira\agent\%WIN_ARCH%\ira-KCDCMA.INI" "%TMA_DIR%\kcdcma.ini"
)

rem Copy any external files/scripts/executables for the agent.
if "winnt" == "%WIN_ARCH%" (
    rem Copy Java executables for the agent.
    mkdir "%TMA_DIR%\kcd"
    @call :copyFile "%SOURCE_DIR%ira\agent\%WIN_ARCH%\javaLauncher.bat" "%TMA_DIR%\kcd\javaLauncher.bat"   &@if errorlevel 1 goto end
    @call :copyDirectoryRecursively "%SOURCE_DIR%ira\agent\jars" "%TMA_DIR%\kcd\jars"   &@if errorlevel 1 goto end
    mkdir "%TMA_DIR%\kcd\jars\common\3rdParty"
    mkdir "%TMA_DIR%\kcd\jars\custom"
) else if "wix64" == "%WIN_ARCH%" (
    rem Copy Java executables for the agent.
    mkdir "%TMA_DIR%\kcd"
    @call :copyFile "%SOURCE_DIR%ira\agent\%WIN_ARCH%\javaLauncher.bat" "%TMA_DIR%\kcd\javaLauncher.bat"   &@if errorlevel 1 goto end
    @call :copyDirectoryRecursively "%SOURCE_DIR%ira\agent\jars" "%TMA_DIR%\kcd\jars"   &@if errorlevel 1 goto end
    mkdir "%TMA_DIR%\kcd\jars\common\3rdParty"
    mkdir "%TMA_DIR%\kcd\jars\custom"
)
@call :copyFile "%SOURCE_DIR%ira\agent\%WIN_ARCH%\KCD.ref" "%TMA_DIR%\KCD.ref"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\%WIN_ARCH%\KCD_uninstall.vbs" "%TMA_DIR%\KCD_uninstall.vbs"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\common\*.his" "%TMA_DIR%\SQLLIB"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\common\*.atr" "%TMA_DIR%\ATTRLIB"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\common\agentConfig\*.xml" "%TMA_DIR%"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\common\agentConfig\*.properties" "%TMA_DIR%"   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\common\kcd.baroc" "%TMA_DIR%\EIFLIB\kcd.baroc"   &@if errorlevel 1 goto end


rem local configuration files for the micro environment.
if not exist "%CANDLE_HOME%\localconfig" mkdir "%CANDLE_HOME%\localconfig"
if not exist "%CANDLE_HOME%\localconfig\cd" mkdir "%CANDLE_HOME%\localconfig\cd"
if not exist "%CANDLE_HOME%\localconfig\cd\html" mkdir "%CANDLE_HOME%\localconfig\cd\html"
@call :copyFile "%SOURCE_DIR%ira\agent\common\cd_situations.xml" "%CANDLE_HOME%\localconfig\cd\."   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\common\cd_trapcnfg.xml" "%CANDLE_HOME%\localconfig\cd\."   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\common\cd_cnfglist.xml" "%CANDLE_HOME%\localconfig\cd\."   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\common\cd_eventmap.map" "%CANDLE_HOME%\localconfig\cd\."   &@if errorlevel 1 goto end
@call :copyFile "%SOURCE_DIR%ira\agent\common\cd_eventdest.xml" "%CANDLE_HOME%\localconfig\cd\."   &@if errorlevel 1 goto end

@rem By default, the ITM 6.2 kinjavaparms.cfg does not contain
@rem candle.fw.resources.KfwBundle in its classpath.  Both cnp.jar and
@rem tap_cli.jar contain this class, so if either are already in the
@rem classpath, make no changes.
@set parmsDir=%TMA_DIR%
@set parmsFile=%parmsDir%\kinjavaparms.cfg

%SYSTEMROOT%\System32\FIND "cnp.jar" %parmsFile% >nul
if %errorlevel% == 0 goto :noCfgChange
%SYSTEMROOT%\System32\FIND "tap_cli.jar" %parmsFile% >nul
if %errorlevel% == 0 goto :noCfgChange

@rem Copy kinjavaparms.cfg to a temporary file, adding cnp.jar to the
@rem to the classpath as it's copied.
@set tmpFile=%parmsDir%\kinjavaparms.cfg.tmp
@set saveFile=%parmsDir%\kinjavaparms.cfg.original
@set changeMade=0
del "%tmpFile%" 2>nul
for /F "usebackq tokens=1* delims=" %%i in (%parmsFile%) do call :processLine "%%i"
if %changeMade%==0 (
   echo Unable to update the classpath to support agent configuration.
   del "%tmpFile%" 2>nul
   goto :noCfgChange
)

@rem Rename the temporary file to kinjavaparms.cfg
if exist "%tmpFile%" (
   if not exist "%saveFile%" (
      move "%parmsFile%" "%saveFile%"
   ) else (
      del "%parmsFile%"
   )
   move "%tmpFile%" "%parmsFile%"
)

:noCfgChange

@call :copyVerFile KCD%WIN_SHORT_ARCH%CMA.ver "%SOURCE_DIR%ira\agent\common\agentConfig\"
"%SOURCE_DIR%\ira\agent\winnt\txtsub.exe" "%SOURCE_DIR%ira\agent\common\agentConfig\WIxxx.lvl" "%TMA_DIR%\KCD%WIN_SHORT_ARCH%CMA.lvl" "|WIN_ARCH|" "%WIN_ARCH%"
rem Copy a watchdog  file. This allows the watchdog to manage the agent.
@call :copyFile "%SOURCE_DIR%ira\agent\common\cd_default.xml" "%TMA_DIR%\CAP\kcd_default.xml"   &@if errorlevel 1 goto end
REM If the manifest.hive exists this could be a micro agent or an ITM 6.2.1 agent, so we need further checking
IF EXIST "%CANDLE_HOME%\InstallITM\ver\manifest.hive" (
    REM Check within the manifest.hive is there is an entry for kntmicrowinnt_IBM_TIVOLI_Monitoring.log this was added specifiCALLy for the nt micro agent in ITM 6.2.2
    REM If the count is not zero, then the find command found at least one entry and that means that this is a micro agent, so we can reinstall the agent.
    FOR /F "delims=: tokens=3" %%A IN ('%SYSTEMROOT%\System32\FIND /C "kntmicro%WIN_ARCH%_IBM_Tivoli_Monitoring.log" "%CANDLE_HOME%\InstallITM\ver\manifest.hive"') DO (
        
        IF %%A EQU 0 (
            REM This is NOT a micro agent installation.
            SET /A RC = 1
            GOTO notMicro
        )
        IF NOT %%A EQU 0 (
            REM This is a micro agent installation.
            @echo Installing autonomous agent. 
                @echo CFG_NEEDED=Y >> "%TMA_DIR%\cd.aba" &@if errorlevel 1 goto end
                        set INSERT=Y
                        FOR /F "tokens=1 delims==" %%A IN ('%SYSTEMROOT%\System32\FIND "CT_CMSLIST" "%CANDLE_HOME%\TMAITM6\kcdcma.ini"') DO (
                           if "%%A" == "CT_CMSLIST" (
                              set INSERT=Y
                           )
                        )
                        if "%INSERT%" == "Y" (
                           echo. >> "%CANDLE_HOME%\TMAITM6\kcdcma.ini"
                           echo [Override Local Settings] >> "%CANDLE_HOME%\TMAITM6\kcdcma.ini"
                           echo CT_CMSLIST= >> "%CANDLE_HOME%\TMAITM6\kcdcma.ini"
                        )
                        @echo Copying agent config files now.... > CON
@call :copyFile "%SOURCE_DIR%ira\agent\common\cd_*.cfg" "%TMA_DIR%\."   &@if errorlevel 1 goto end
                        FOR /F "tokens=1,2 delims=_." %%A IN ('dir /b "%SOURCE_DIR%\ira\agent\common\cd*.cfg"') DO (
                            @echo configuring and starting instance: %%B > CON
                            "%CANDLE_HOME%\InstallITM\itmcmd.cmd" agent -h "%CANDLE_HOME%" -o %%B start cd
                            @if %errorlevel% neq 0 (
                                @Start agent failed for instance %%B > CON
                                @goto end
                            )
                        )
            goto end
        )
    )
)

:notMicro
FOR %%A IN (%INSTANCELIST%) DO (
  net start %%A
)

goto end

:usage
@echo Usage:  installIraAgent.bat [Installation Source Directory] ^<ITM installation directory^>
set errorlevel=3
goto end

:nodir
@echo The ITM installation directory passed in does not exist.
set errorlevel=4
goto end
:notema
@echo The Tivoli Enterprise Monitoring Agent Framework for architecture %WIN_ARCH% is not installed.
set errorlevel=5
goto end
:notmadir
@echo The ITM installation directory passed in does not contain the
@echo Tivoli Endpoint Monitoring Agent directory %TMA_DIR%.
set errorlevel=6
goto end
:noframework
@echo The ITM installation directory passed in does not contain 
@echo an Agent Framework (KGLWICMA.ver does not exist).
set errorlevel=6
goto end
:noplatfsupport
@echo This agent does not contain support for the "%WIN_ARCH%"
@echo architecture type required by this system.
set errorlevel=7
goto end

:end
@if "%exit%" == "true" exit %errorlevel%
exit /b %errorlevel%
@endlocal
@goto :eof
rem ------------------------------- Subroutines --------------------------------

:addToInstanceList
set INSTANCELIST=%INSTANCELIST% %1%
goto :eof

@rem - Copy a file or set of files in a single directory.
:copyFile
@if exist "%~1" (
    echo copy "%~1" "%~2"
    copy "%~1" "%~2"
) else (
    echo skipping "%~1", does not exist 
    exit /b 0
)
@goto :eof

@rem - Recursively copy a directory.
:copyDirectoryRecursively
@if exist "%~1" (
    echo xcopy "%~1" "%~2" /EIY
    xcopy "%~1" "%~2" /EIY
) else (
    echo skipping "%~1", does not exist 
    exit /b 0
)
@goto :eof

@rem Copy a version file.  This way kinCinfo.exe knows we are installed.
:copyVerFile
if exist "%CANDLE_HOME%\InstallITM\ver\%~1" (
   rem The ver file is already there
   del %CANDLE_HOME%\InstallITM\ver\%~1
)
rem We need to figure out the date so we can put the install date in the ver file
rem Get the hour separately because we may need to prepend a 0 to it
set hh=%time:~0,2%
rem Since there is no leading zero for times before 10 am, have to put in
rem a zero when this is run before 10 am.
if "%time:~0,1%"==" " set hh=0%hh:~1,1%
set install_date=%date:~10,4%%date:~4,2%%date:~7,2% %hh%%time:~3,2%
rem The install date should now be in the format "YYYYMMDD HHMM"
rem Now, copy the ver file and insert the install date in the right place
for /f "tokens=* eol=" %%L in (%~2\%~1) DO (
   if "%%L"=="[INSTALL INFO]" (
      echo.>>%CANDLE_HOME%\InstallITM\ver\%~1
      echo [INSTALL_INFO]>>%CANDLE_HOME%\InstallITM\ver\%~1
      echo Install Date=%install_date%>>%CANDLE_HOME%\InstallITM\ver\%~1
   ) ELSE (
      set char=%%L
      set char=!char:~0,1!
      if "!char!" == "[" (
         echo.>>%CANDLE_HOME%\InstallITM\ver\%~1
      )
      echo %%L>>%CANDLE_HOME%\InstallITM\ver\%~1
   )
)
@goto :eof

@rem - Determine if this line contains the classpath for the configuration.
@rem - If so, add cnp.bat to the classpath and write the line to the
@rem - output file.  If not, copy the unmodified line to the output file.
:processLine
for /F "usebackq tokens=1,2,3 delims= " %%j in ('%1') do (
   @set classpathSwitch=%%j
   @set className=%%l
   @rem - remove the quotes, as they cause havoc in the following if statement
   @set classpathSwitch=!classpathSwitch:"=!
   @set className=!className:"=!
   if "!classpathSwitch! !className!" == "-classpath com.ibm.tivoli.monitoring.install.KinWinLauncher" (
      @rem - add cnp.jar to the end of the class path
      echo !classpathSwitch! %%k;cnp.jar !className!>>"%tmpFile%"
      set changeMade=1
   ) else (
      @rem - write out the line unchanged
      echo %~1>>"%tmpFile%"
   )
)
goto :eof

