@echo off
rem ----------------------------------------------------------------
rem Monitoring Agent for CLM Server Monitoring
rem Version 405
rem Windows TEPS Installation Script
rem
rem IBM
rem
rem This file was created by the IBM Tivoli Monitoring Agent Builder
rem Version 6.3.0
rem	IBM Tivoli Monitoring Agent Generator 6.3.0 201302201339
rem	IBM Tivoli Monitoring OSLC Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder CIM Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Custom Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder HTTP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder ICMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JDBC Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JMX Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Log Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder SNMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder WMI Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring TMS DLA Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder UI 6.3.0 201302201339
rem	IBM Tivoli Monitoring Remote Deploy 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Common 6.3.0 201302201339
rem	IBM Tivoli Omnibus 6.3.0 201302201339
rem ----------------------------------------------------------------

setlocal EnableExtensions EnableDelayedExpansion
set errorlevel=
if "%~1" == "" goto usage

if not exist %1 goto nodir

rem installAgentTEPS [ITM installation directory]
rem This program is used by development to install the
rem agent support files into the ITM TEPS runtime environment.
rem There are some manual steps that
rem must be performed after running this script.

rem CANDLE_HOME must be set
set CANDLE_HOME=%~sf1

:processSwitches
@rem With "shift", every argument can be referred to as "%1"
shift
set exit=false

set RESTART_TEPS=0
:processArg
if "%~1" == "" goto endArgs
if "%~1" == "-e" set exit=true
if "%~1" == "-r" set RESTART_TEPS=1
shift
goto processArg

:endArgs
if not exist "%CANDLE_HOME%\logs" mkdir "%CANDLE_HOME%\logs"

rem clear ERRORLEVEL before calling main
cmd /c echo > NUL
call :main > "%CANDLE_HOME%"\logs\KCDTEPSinstall.log 2>&1
@echo off
if %ERRORLEVEL% EQU 0 (
    if "%INSTALLED%" == "" (
        echo The ITM installation directory passed in does not contain a
        echo TEPS, TEPD, or Help Server installation. 
    ) else (
        if defined MESSAGE (
            echo %MESSAGE%
            echo.
        )
        echo Install of KCD TEPS Support successful.
    )
) else (
    echo Install of KCD TEPS Support failed.
    echo See %CANDLE_HOME%\logs\KCDTEPSinstall.log for details.
)
goto :eof

:main
@echo on

set WIN_SHORT_ARCH=WI

if not exist "%CANDLE_HOME%\CNPS" goto notest
if %RESTART_TEPS% EQU 1 goto notest
if not exist "%CANDLE_HOME%\CNPS\loadSupport.bat" goto notest
if not exist "%CANDLE_HOME%\CNPS\KfwStatusClient.exe" goto notest
rem We need to make sure the TEPS is up and has a connection to the TEMS
set RETRIES=0
pushd %CANDLE_HOME%\CNPS
:test
rem Clear error level
cmd /c "exit /b 0"
KfwStatusClient.exe
if %ERRORLEVEL% EQU 0 goto testsuccess
if %ERRORLEVEL% EQU 99 goto testsuccess
if %ERRORLEVEL% EQU 3 goto wait
if %ERRORLEVEL% EQU 1 goto wait
rem Unknown error level...exit
echo Unknown TEPS status
popd
set errorlevel=1
goto end

:wait
if %RETRIES% LSS 3 (
    rem This may mean the TEMS was just recycled and TEPS hasn't reconnected yet
    rem We can wait a moment and try again.
    ping localhost -n 30 -w 1000 > NUL
    set /a RETRIES+=1
    goto test
) else (
    rem Too many retries.  Give up.
    popd
    echo The TEPS is up but does not have a connection to the TEMS
    echo The TEPS must have a connection to the TEMS in order to install
    echo TEPS application support
    set errorlevel=1
    goto end
)
:testsuccess
popd

:notest
if not exist "%CANDLE_HOME%\CNP" goto cnps
rem Install the resource bundle
rem Check for ver file before parsing it
if not exist "%CANDLE_HOME%\InstallITM\ver\KCJ%WIN_SHORT_ARCH%XEW.ver" goto cnps
FOR /F "TOKENS=1,2 DELIMS== " %%i IN ('%SYSTEMROOT%\System32\FIND "VRMF=" "%CANDLE_HOME%\InstallITM\ver\KCJ%WIN_SHORT_ARCH%XEW.ver"') DO (
    IF %%i==VRMF (SET CJVRMF=%%j)
)
if %CJVRMF% LSS 06210000 (
    echo This agent requires ITM version 06210000 ^(6.2.1^) or higher to work correctly.
    echo The ITM installation in "%CANDLE_HOME%" is version %CJVRMF%,
    echo thus the agent can not install.
    set errorlevel=7
    goto :end
)

@call :copyFile "ira\agent\common\odi2rb\package\kcd_resources.jar" "%CANDLE_HOME%\CNP"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\odi2rb\kcd.inf" "%CANDLE_HOME%\CNP"   &@if errorlevel 1 goto end
rem Add our resources jar to the cnp classpath
ira\agent\winnt\txtsub.exe "%CANDLE_HOME%\CNP\cnp.bat" "%CANDLE_HOME%\CNP\cnp.bat" CLASSPATH= CLASSPATH=kcd_resources.jar;
rem and also to any additional CNP instances
FOR /F "tokens=1 delims=." %%A IN ('dir /B "%CANDLE_HOME%\CNP\CNP_*.bat"') DO (
  FOR /F "tokens=2 delims=_" %%B IN ("%%A") DO (
    ira\agent\winnt\txtsub.exe "%CANDLE_HOME%\CNP\CNP_%%B.bat" "%CANDLE_HOME%\CNP\CNP_%%B.bat" CLASSPATH= CLASSPATH=kcd_resources.jar;
  )
)
   @call :copyVerFile KCDWIXEW.ver "ira\agent\common\agentConfig\"
@call :copyFile "ira\agent\common\agentConfig\WIxxx.lvl" "%CANDLE_HOME%\cnp\KCDWIXEW.lvl"   &@if errorlevel 1 goto end
set INSTALLED=TEP
:cnps
if not exist "%CANDLE_HOME%\CNPS" goto helpsvr
rem Check for ver file before parsing it
if not exist "%CANDLE_HOME%\InstallITM\ver\KCQ%WIN_SHORT_ARCH%CNS.ver" goto helpsrvr
FOR /F "TOKENS=1,2 DELIMS== " %%i IN ('%SYSTEMROOT%\System32\FIND "VRMF=" "%CANDLE_HOME%\InstallITM\ver\KCQ%WIN_SHORT_ARCH%CNS.ver"') DO (
    IF %%i==VRMF (SET CQVRMF=%%j)
)
if %CQVRMF% LSS 06210000 (
    echo This agent requires ITM version 06210000 ^(6.2.1^) or higher to work correctly.
    echo The ITM installation in "%CANDLE_HOME%" is version %CQVRMF%,
    echo thus the agent can not install.
    set errorlevel=7
    goto :end
)

@call :copyFile "ira\agent\common\kcd.atr" "%CANDLE_HOME%\CNPS\cmsatr"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\kcd.cat" "%CANDLE_HOME%\CNPS\rkdscatl"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\KCD.odi" "%CANDLE_HOME%\CNPS\dockcd"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\ira-kcd.sql" "%CANDLE_HOME%\CNPS\sqllib\kcd.sql"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\ira-kcd_kcj.sql" "%CANDLE_HOME%\CNPS\sqllib\kcd_kcj.sql"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\KCD.his" "%CANDLE_HOME%\CNPS\SQLLIB\KCD.his"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\kcd.baroc" "%CANDLE_HOME%\CNPS\TECLIB\kcd.baroc"   &@if errorlevel 1 goto end

   @call :copyVerFile KCDWIXEB.ver "ira\agent\common\agentConfig\"
   @call :copyVerFile KCDWICNS.ver "ira\agent\common\agentConfig\"
@call :copyFile "ira\agent\common\agentConfig\WIxxx.lvl" "%CANDLE_HOME%\CNPS\KCDWICNS.lvl"   &@if errorlevel 1 goto end
rem Install the expert advice files
mkdir "%CANDLE_HOME%\CNB\classes\candle\kcd\resources\advice\en_US"
if not exist "ira\agent\common\src\kcd\Advice" goto skipadvice
@call :copyFile "ira\agent\common\src\kcd\Advice\*" "%CANDLE_HOME%\CNB\classes\candle\kcd\resources\advice\en_US"   &@if errorlevel 1 goto end

:skipadvice
rem Install the agent configuration files
mkdir "%CANDLE_HOME%\CNB\classes\candle\kcd\resources\config"
@call :copyFile "ira\agent\common\agentConfig\*.xml" "%CANDLE_HOME%\CNB\classes\candle\kcd\resources\config"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\agentConfig\*.properties" "%CANDLE_HOME%\CNB\classes\candle\kcd\resources\config"   &@if errorlevel 1 goto end

rem Install the help
mkdir "%CANDLE_HOME%\CNB\classes\candle\kcd\resources\help"
@call :copyDirectoryRecursively "help\*" "%CANDLE_HOME%\CNB\classes\candle\kcd\resources\help"   &@if errorlevel 1 goto end
rem Install the resource bundle
@call :copyFile "ira\agent\common\odi2rb\package\kcd_resources.jar" "%CANDLE_HOME%\CNB\classes"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\odi2rb\kcd.inf" "%CANDLE_HOME%\CNB\classes"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\odi2rb\KcdPackage.xml" "%CANDLE_HOME%\CNPS\SQLLIB"   &@if errorlevel 1 goto end

ira\agent\winnt\txtsub.exe "%CANDLE_HOME%\CNB\applet.html" "%CANDLE_HOME%\CNB\applet.html" "CACHE_ARCHIVE VALUE=\"" "CACHE_ARCHIVE VALUE=\"kcd_resources.jar, "
ira\agent\winnt\txtsub.exe "%CANDLE_HOME%\CNB\applet.html" "%CANDLE_HOME%\CNB\applet.html" "CACHE_VERSION VALUE=\"" "CACHE_VERSION VALUE=\"704.0500.0013.303, "

rem We want to install the presentation files
rem So first copy them to the CNPS directory.
@call :copyFile "ira\agent\common\KCD_pres.sql" "%CANDLE_HOME%\CNPS\SQLLIB"   &@if errorlevel 1 goto end
@call :copyFile "ira\agent\common\KCD_links.sql" "%CANDLE_HOME%\CNPS\SQLLIB"   &@if errorlevel 1 goto end
rem It is ok if the HIS file is not here.
rem now change to the CNPS directory and run the install command
pushd "%CANDLE_HOME%\CNPS"
set RETRIES=0
if !RESTART_TEPS! EQU 1 (
    @call :installpresentation
) else (
    if exist loadSupport.bat (
        @call :loadsupport
    ) else (
        @call :installpresentation
    )
)
popd

rem Now check for 6.2.3 and install Java Web Start support if possible.
rem Check for ver file before parsing it
if exist "%CANDLE_HOME%\InstallITM\ver\KCQ%WIN_SHORT_ARCH%CNS.ver" (
    FOR /F "TOKENS=1,2 DELIMS== " %%i IN ('%SYSTEMROOT%\System32\FIND "VRMF=" "%CANDLE_HOME%\InstallITM\ver\KCQ%WIN_SHORT_ARCH%CNS.ver"') DO (
        IF %%i==VRMF (SET CQVRMF=%%j)
    )
) else (
        SET CQVRMF=""
)
if %CQVRMF% LSS 06230000 (
    @echo Automatic installation of Java Web Start support requires ITM 6.2.3 or higher.
    @echo For Java Web Start to work you will need to reconfigure the TEPS. 
) else (
    @echo Creating Java Web Start support files. 
    %CANDLE_HOME%\installitm\kinconfg.exe -rKCB
)

set INSTALLED=TEPS
:helpsvr
if not exist "%CANDLE_HOME%\HELPSVR" goto restart_teps
if not exist "%CANDLE_HOME%\InstallITM\ver\KKFWIIEH.ver" goto restart_teps
rem Check for ver file before parsing it
if not exist "%CANDLE_HOME%\InstallITM\ver\KKF%WIN_SHORT_ARCH%IEH.ver" goto restart_teps
FOR /F "TOKENS=1,2 DELIMS== " %%i IN ('%SYSTEMROOT%\System32\FIND "VRMF=" "%CANDLE_HOME%\InstallITM\ver\KKF%WIN_SHORT_ARCH%IEH.ver"') DO (
    IF %%i==VRMF (SET KFVRMF=%%j)
)
if %KFVRMF% LSS 06210000 (
    echo This agent requires ITM version 06210000 ^(6.2.1^) or higher to work correctly.
    echo The ITM installation in "%CANDLE_HOME%" is version %KFVRMF%,
    echo thus the agent can not install.
    set errorlevel=7
    goto :end
)

rem Do not stop Help Svr if TEPS is still running.
if !STOPPED_TEPS! EQU 1 (
    net stop KKF_HELPSVR
    set stopHelpServerRc=%errorlevel%
) else (
    set MESSAGE=Online help for this agent will not be available until the Help Server is restarted, which also requires restarting the TEPS.
)
@call :copyDirectoryFiles "help\*" "%CANDLE_HOME%\HELPSVR\eclipse\plugins\com.ibm.kcd.doc"   &@if errorlevel 1 goto end
set INSTALLED=HELP
:restart_teps
rem If the TEPS was stopped, restart it.  This will restart Help Svr too if needed.
if !STOPPED_TEPS! EQU 1 tacmd startagent -t fw -f   &@if errorlevel 1 goto end
goto end

:usage
@echo Usage:  installIraAgentTEPS.bat ^<ITM installation directory^> [-r]
@echo Where -r indicates that the TEPS should be restarted
goto end

:nodir
@echo The ITM installation directory passed in does not exist.

:end
@if "%exit%" == "true" exit %errorlevel%
exit /b %errorlevel%
@endlocal
@goto :eof
rem ------------------------------- Subroutines --------------------------------

@rem - Copy a file or set of files in a single directory.
:copyFile
@if exist "%~1" (
    echo copy "%~1" "%~2"
    copy "%~1" "%~2"
) else (
    echo skipping "%~1", does not exist 
    exit /b 0
)
@goto :eof

@rem - Recursively copy a directory.
:copyDirectoryRecursively
@if exist "%~1" (
    echo xcopy "%~1" "%~2" /EIY
    xcopy "%~1" "%~2" /EIY
) else (
    echo skipping "%~1", does not exist 
    exit /b 0
)
@goto :eof

@rem - Copy all the files in a directory.
:copyDirectoryFiles
@if exist "%~1" (
    echo xcopy "%~1" "%~2" /IY
    xcopy "%~1" "%~2" /IY
) else (
    echo skipping "%~1", does not exist 
    exit /b 0
)
@goto :eof

@rem Copy a version file.  This way kinCinfo.exe knows we are installed.
:copyVerFile
if exist "%CANDLE_HOME%\InstallITM\ver\%~1" (
   rem The ver file is already there
   del %CANDLE_HOME%\InstallITM\ver\%~1
)
rem We need to figure out the date so we can put the install date in the ver file
rem Get the hour separately because we may need to prepend a 0 to it
set hh=%time:~0,2%
rem Since there is no leading zero for times before 10 am, have to put in
rem a zero when this is run before 10 am.
if "%time:~0,1%"==" " set hh=0%hh:~1,1%
set install_date=%date:~10,4%%date:~4,2%%date:~7,2% %hh%%time:~3,2%
rem The install date should now be in the format "YYYYMMDD HHMM"
rem Now, copy the ver file and insert the install date in the right place
for /f "tokens=* eol=" %%L in (%~2\%~1) DO (
   if "%%L"=="[INSTALL INFO]" (
      echo.>>%CANDLE_HOME%\InstallITM\ver\%~1
      echo [INSTALL_INFO]>>%CANDLE_HOME%\InstallITM\ver\%~1
      echo Install Date=%install_date%>>%CANDLE_HOME%\InstallITM\ver\%~1
   ) ELSE (
      set char=%%L
      set char=!char:~0,1!
      if "!char!" == "[" (
         echo.>>%CANDLE_HOME%\InstallITM\ver\%~1
      )
      echo %%L>>%CANDLE_HOME%\InstallITM\ver\%~1
   )
)
@goto :eof

@rem - Call the TEPS loadsupport functionality
:loadsupport
call loadSupport.bat KCD
if !errorlevel! NEQ 0 (
    set errorlevel = 1
    popd
    goto end
)
@goto :eof

@rem - Call the TEPS install presentation functionality
:installpresentation
if exist installPresentation.bat (
    call installPresentation.bat   &@if errorlevel 1 goto end
    rem installPresentation.bat leaves the TEPS down.  Remember to restart it
    set STOPPED_TEPS=1
)
@goto :eof
