/*
 COPYRIGHT_COMMENT_TAG_BEGIN
 IBM Confidential
 OCO Source Materials
 5724-C04
 
 Copyright IBM Corp. 2005, 2011
 The source code for this program is not published or otherwise
 divested of its trade secrets, irrespective of what has
 been deposited with the U.S. Copyright Office.
 COPYRIGHT_COMMENT_TAG_END
 */
//***************************************************************************
//                                                                          *
// Unpublished Copyright (c) 1998, 2004 Candle Corporation.                 *
//                                                                          *
// All rights reserved.  International copyright secured.                   *
// USE PERMISSIBLE UNDER LICENSE ONLY.  This software may be                *
// protected by one or more United States and/or international              *
// patents or pending patent applications.                                  *
//                                                                          *
//***************************************************************************

/**
 * Resources
 * NLS_MESSAGEFORMAT_NONE (CHKPII flag indicating that the text is not 
 *                         processed by Java MessageFormat class)
 */

//***************************************************************************
//                >>>>  M A I N T E N A N C E    L O G  <<<<                *
//***************************************************************************
//  $Date: October 30, 2013 12:04:47 PM EDT $
//  $Revision: 1.0 $
//
//***************************************************************************

// NLS_ENCODING=UTF-8
package candle.kcd.resources;

import candle.kjr.resource.*;
import candle.kjr.util.*;
import java.util.*;
import java.lang.reflect.Method;

/**
 * <code>DocKcdBundle</code> contains Kcd ODI definitions for NLS.
 *
 */

public class DocKcdBundle extends ResourceBundle implements Versioned
{
  private static final long serialVersionUID = 1L;

  private static final String BUNDLE_ID       = "dockcd";
  private static final String BUNDLE_NAME     = "candle.kcd.resources.DocKcdBundle";

  private static final IntegerVersion version = new IntegerVersion(100);

  // public Object[][] getContents() - needed for CHKPII tool
  
public Object[][] _oM1()
{
Object[][] contents = 
{
        {"%IBM.KCD",                                      "CLM Server Monitoring"},
};
return contents;
}

public Object[][] _oM2()
{
Object[][] contents = 
{
        {"%IBM.KCDCSM",                                   "Monitored Application"},
};
return contents;
}

public Object[][] _oM3()
{
Object[][] contents = 
{
        {"TABLE.KCDCSMDS.OBJECT",                         "KCD MONITORED APPLICATION NODES"},
        {"KCDCSMDS.ORIGINNODE",                           "Node"},

        {"KCDCSMDS.TIMESTAMP",                            "Timestamp"},

        {"KCDCSMDS.SN_MSN",                               "Subnode MSN"},

        {"KCDCSMDS.SN_AFFIN",                             "Subnode Affinity"},

        {"KCDCSMDS.SN_TYPE",                              "Subnode Type"},

        {"KCDCSMDS.SN_RES",                               "Subnode Resource Name"},

        {"KCDCSMDS.SN_VER",                               "Subnode Version"},

};
return contents;
}

public Object[][] _oM4()
{
Object[][] contents = 
{
        {"TABLE.KCDPOBJST.OBJECT",                        "KCD PERFORMANCE OBJECT STATUS"},
        {"KCDPOBJST.ORIGINNODE",                          "Node"},

        {"KCDPOBJST.TIMESTAMP",                           "Timestamp"},

        {"KCDPOBJST.ATTRGRP",                             "Query Name"},

        {"KCDPOBJST.OBJNAME",                             "Object Name"},

        {"KCDPOBJST.OBJTYPE",                             "Object Type"},
        {"KCDPOBJST.OBJTYPE.ENUM.0",                      "WMI"},
        {"KCDPOBJST.OBJTYPE.ENUM.1",                      "PERFMON"},
        {"KCDPOBJST.OBJTYPE.ENUM.10",                     "WMI REMOTE DATA"},
        {"KCDPOBJST.OBJTYPE.ENUM.11",                     "LOG FILE"},
        {"KCDPOBJST.OBJTYPE.ENUM.12",                     "JDBC"},
        {"KCDPOBJST.OBJTYPE.ENUM.13",                     "CONFIG DISCOVERY"},
        {"KCDPOBJST.OBJTYPE.ENUM.14",                     "NT EVENT LOG"},
        {"KCDPOBJST.OBJTYPE.ENUM.15",                     "FILTER"},
        {"KCDPOBJST.OBJTYPE.ENUM.16",                     "SNMP EVENT"},
        {"KCDPOBJST.OBJTYPE.ENUM.17",                     "PING"},
        {"KCDPOBJST.OBJTYPE.ENUM.18",                     "DIRECTOR DATA"},
        {"KCDPOBJST.OBJTYPE.ENUM.19",                     "DIRECTOR EVENT"},
        {"KCDPOBJST.OBJTYPE.ENUM.2",                      "WMI ASSOCIATION GROUP"},
        {"KCDPOBJST.OBJTYPE.ENUM.20",                     "SSH REMOTE SHELL COMMAND"},
        {"KCDPOBJST.OBJTYPE.ENUM.3",                      "JMX"},
        {"KCDPOBJST.OBJTYPE.ENUM.4",                      "SNMP"},
        {"KCDPOBJST.OBJTYPE.ENUM.5",                      "SHELL COMMAND"},
        {"KCDPOBJST.OBJTYPE.ENUM.6",                      "JOINED GROUPS"},
        {"KCDPOBJST.OBJTYPE.ENUM.7",                      "CIMOM"},
        {"KCDPOBJST.OBJTYPE.ENUM.8",                      "CUSTOM"},
        {"KCDPOBJST.OBJTYPE.ENUM.9",                      "ROLLUP DATA"},

        {"KCDPOBJST.OBJSTTS",                             "Object Status"},
        {"KCDPOBJST.OBJSTTS.ENUM.0",                      "ACTIVE"},
        {"KCDPOBJST.OBJSTTS.ENUM.1",                      "INACTIVE"},

        {"KCDPOBJST.ERRCODE",                             "Error Code"},
        {"KCDPOBJST.ERRCODE.ENUM.0",                      "NO ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.1",                      "GENERAL ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.10",                     "NO INSTANCES RETURNED"},
        {"KCDPOBJST.ERRCODE.ENUM.11",                     "ASSOCIATOR QUERY FAILED"},
        {"KCDPOBJST.ERRCODE.ENUM.12",                     "REFERENCE QUERY FAILED"},
        {"KCDPOBJST.ERRCODE.ENUM.13",                     "NO RESPONSE RECEIVED"},
        {"KCDPOBJST.ERRCODE.ENUM.14",                     "CANNOT FIND JOINED QUERY"},
        {"KCDPOBJST.ERRCODE.ENUM.15",                     "CANNOT FIND JOIN ATTRIBUTE IN QUERY 1 RESULTS"},
        {"KCDPOBJST.ERRCODE.ENUM.16",                     "CANNOT FIND JOIN ATTRIBUTE IN QUERY 2 RESULTS"},
        {"KCDPOBJST.ERRCODE.ENUM.17",                     "QUERY 1 NOT A SINGLETON"},
        {"KCDPOBJST.ERRCODE.ENUM.18",                     "QUERY 2 NOT A SINGLETON"},
        {"KCDPOBJST.ERRCODE.ENUM.19",                     "NO INSTANCES RETURNED IN QUERY 1"},
        {"KCDPOBJST.ERRCODE.ENUM.2",                      "OBJECT NOT FOUND"},
        {"KCDPOBJST.ERRCODE.ENUM.20",                     "NO INSTANCES RETURNED IN QUERY 2"},
        {"KCDPOBJST.ERRCODE.ENUM.21",                     "CANNOT FIND ROLLUP QUERY"},
        {"KCDPOBJST.ERRCODE.ENUM.22",                     "CANNOT FIND ROLLUP ATTRIBUTE"},
        {"KCDPOBJST.ERRCODE.ENUM.23",                     "FILE OFFLINE"},
        {"KCDPOBJST.ERRCODE.ENUM.24",                     "NO HOSTNAME"},
        {"KCDPOBJST.ERRCODE.ENUM.25",                     "MISSING LIBRARY"},
        {"KCDPOBJST.ERRCODE.ENUM.26",                     "ATTRIBUTE COUNT MISMATCH"},
        {"KCDPOBJST.ERRCODE.ENUM.27",                     "ATTRIBUTE NAME MISMATCH"},
        {"KCDPOBJST.ERRCODE.ENUM.28",                     "COMMON DATA PROVIDER NOT STARTED"},
        {"KCDPOBJST.ERRCODE.ENUM.29",                     "CALLBACK REGISTRATION ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.3",                      "COUNTER NOT FOUND"},
        {"KCDPOBJST.ERRCODE.ENUM.30",                     "MDL LOAD ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.31",                     "AUTHENTICATION FAILED"},
        {"KCDPOBJST.ERRCODE.ENUM.32",                     "CANNOT RESOLVE HOST NAME"},
        {"KCDPOBJST.ERRCODE.ENUM.33",                     "SUBNODE UNAVAILABLE"},
        {"KCDPOBJST.ERRCODE.ENUM.34",                     "SUBNODE NOT FOUND IN CONFIG"},
        {"KCDPOBJST.ERRCODE.ENUM.35",                     "ATTRIBUTE ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.36",                     "CLASSPATH ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.37",                     "CONNECTION FAILURE"},
        {"KCDPOBJST.ERRCODE.ENUM.38",                     "FILTER SYNTAX ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.39",                     "FILE NAME MISSING"},
        {"KCDPOBJST.ERRCODE.ENUM.4",                      "NAMESPACE ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.40",                     "SQL QUERY ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.41",                     "SQL FILTER QUERY ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.42",                     "SQL DB QUERY ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.43",                     "SQL DB FILTER QUERY ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.44",                     "PORT OPEN FAILED"},
        {"KCDPOBJST.ERRCODE.ENUM.45",                     "ACCESS DENIED"},
        {"KCDPOBJST.ERRCODE.ENUM.46",                     "TIMEOUT"},
        {"KCDPOBJST.ERRCODE.ENUM.47",                     "NOT IMPLEMENTED"},
        {"KCDPOBJST.ERRCODE.ENUM.48",                     "REQUESTED A BAD VALUE"},
        {"KCDPOBJST.ERRCODE.ENUM.49",                     "RESPONSE TOO BIG"},
        {"KCDPOBJST.ERRCODE.ENUM.5",                      "OBJECT CURRENTLY UNAVAILABLE"},
        {"KCDPOBJST.ERRCODE.ENUM.50",                     "GENERAL RESPONSE ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.51",                     "SCRIPT NONZERO RETURN"},
        {"KCDPOBJST.ERRCODE.ENUM.52",                     "SCRIPT NOT FOUND"},
        {"KCDPOBJST.ERRCODE.ENUM.53",                     "SCRIPT LAUNCH ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.54",                     "CONF FILE DOES NOT EXIST"},
        {"KCDPOBJST.ERRCODE.ENUM.55",                     "CONF FILE ACCESS DENIED"},
        {"KCDPOBJST.ERRCODE.ENUM.56",                     "INVALID CONF FILE"},
        {"KCDPOBJST.ERRCODE.ENUM.57",                     "EIF INITIALIZATION FAILED"},
        {"KCDPOBJST.ERRCODE.ENUM.58",                     "CANNOT OPEN FORMAT FILE"},
        {"KCDPOBJST.ERRCODE.ENUM.59",                     "FORMAT FILE SYNTAX ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.6",                      "COM LIBRARY INIT FAILURE"},
        {"KCDPOBJST.ERRCODE.ENUM.60",                     "REMOTE HOST UNAVAILABLE"},
        {"KCDPOBJST.ERRCODE.ENUM.61",                     "EVENT LOG DOES NOT EXIST"},
        {"KCDPOBJST.ERRCODE.ENUM.62",                     "PING FILE DOES NOT EXIST"},
        {"KCDPOBJST.ERRCODE.ENUM.63",                     "NO PING DEVICE FILES"},
        {"KCDPOBJST.ERRCODE.ENUM.64",                     "PING DEVICE LIST FILE MISSING"},
        {"KCDPOBJST.ERRCODE.ENUM.65",                     "SNMP MISSING PASSWORD"},
        {"KCDPOBJST.ERRCODE.ENUM.66",                     "DISABLED"},
        {"KCDPOBJST.ERRCODE.ENUM.67",                     "URLS FILE NOT FOUND"},
        {"KCDPOBJST.ERRCODE.ENUM.68",                     "XML PARSE ERROR"},
        {"KCDPOBJST.ERRCODE.ENUM.69",                     "NOT INITIALIZED"},
        {"KCDPOBJST.ERRCODE.ENUM.7",                      "SECURITY INIT FAILURE"},
        {"KCDPOBJST.ERRCODE.ENUM.70",                     "ICMP SOCKETS FAILED"},
        {"KCDPOBJST.ERRCODE.ENUM.71",                     "DUPLICATE CONF FILE"},
        {"KCDPOBJST.ERRCODE.ENUM.9",                      "PROXY SECURITY FAILURE"},

        {"KCDPOBJST.COLSTRT",                             "Last Collection Start"},
        {"KCDPOBJST.COLSTRT.ENUM.0000000000000001",       "NOT COLLECTED"},
        {"KCDPOBJST.COLSTRT.ENUM.0691231190000000",       "NOT COLLECTED"},

        {"KCDPOBJST.COLFINI",                             "Last Collection Finished"},
        {"KCDPOBJST.COLFINI.ENUM.0000000000000001",       "NOT COLLECTED"},
        {"KCDPOBJST.COLFINI.ENUM.0691231190000000",       "NOT COLLECTED"},

        {"KCDPOBJST.COLDURA",                             "Last Collection Duration"},

        {"KCDPOBJST.COLAVGD",                             "Average Collection Duration"},
        {"KCDPOBJST.COLAVGD.ENUM.-100",                   "NO DATA"},

        {"KCDPOBJST.REFRINT",                             "Refresh Interval"},

        {"KCDPOBJST.NUMCOLL",                             "Number of Collections"},

        {"KCDPOBJST.CACHEHT",                             "Cache Hits"},

        {"KCDPOBJST.CACHEMS",                             "Cache Misses"},

        {"KCDPOBJST.CACHPCT",                             "Cache Hit Percent"},

        {"KCDPOBJST.INTSKIP",                             "Intervals Skipped"},

};
return contents;
}

public Object[][] _oM5()
{
Object[][] contents = 
{
        {"TABLE.KCDTHPLST.OBJECT",                        "KCD THREAD POOL STATUS"},
        {"KCDTHPLST.ORIGINNODE",                          "Node"},

        {"KCDTHPLST.TIMESTAMP",                           "Timestamp"},

        {"KCDTHPLST.THPSIZE",                             "Thread Pool Size"},
        {"KCDTHPLST.THPSIZE.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.THPSIZE.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPMAXSZ",                             "Thread Pool Max Size"},
        {"KCDTHPLST.TPMAXSZ.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPMAXSZ.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPACTTH",                             "Thread Pool Active Threads"},
        {"KCDTHPLST.TPACTTH.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPACTTH.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPAVGAT",                             "Thread Pool Avg Active Threads"},
        {"KCDTHPLST.TPAVGAT.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPAVGAT.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPMINAT",                             "Thread Pool Min Active Threads"},
        {"KCDTHPLST.TPMINAT.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPMINAT.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPMAXAT",                             "Thread Pool Max Active Threads"},
        {"KCDTHPLST.TPMAXAT.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPMAXAT.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPQLGTH",                             "Thread Pool Queue Length"},
        {"KCDTHPLST.TPQLGTH.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPQLGTH.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPAVGQL",                             "Thread Pool Avg Queue Length"},
        {"KCDTHPLST.TPAVGQL.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPAVGQL.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPMINQL",                             "Thread Pool Min Queue Length"},
        {"KCDTHPLST.TPMINQL.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPMINQL.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPMAXQL",                             "Thread Pool Max Queue Length"},
        {"KCDTHPLST.TPMAXQL.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPMAXQL.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPAVJBW",                             "Thread Pool Avg Job Wait"},
        {"KCDTHPLST.TPAVJBW.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPAVJBW.ENUM.-100",                   "NO DATA"},

        {"KCDTHPLST.TPTJOBS",                             "Thread Pool Total Jobs"},
        {"KCDTHPLST.TPTJOBS.ENUM.-1",                     "NO DATA"},
        {"KCDTHPLST.TPTJOBS.ENUM.-100",                   "NO DATA"},

};
return contents;
}

public Object[][] _oM6()
{
Object[][] contents = 
{
        {"TABLE.KCDTACTST.OBJECT",                        "KCD TAKE ACTION STATUS"},
        {"KCDTACTST.ORIGINNODE",                          "Node"},

        {"KCDTACTST.TIMESTAMP",                           "Timestamp"},

        {"KCDTACTST.TSKNAME",                             "Action Name"},

        {"KCDTACTST.TSKSTAT",                             "Action Status"},
        {"KCDTACTST.TSKSTAT.ENUM.0",                      "OK"},
        {"KCDTACTST.TSKSTAT.ENUM.1",                      "NOT APPLICABLE"},
        {"KCDTACTST.TSKSTAT.ENUM.10",                     "UNKNOWN"},
        {"KCDTACTST.TSKSTAT.ENUM.11",                     "DEPENDENT STILL RUNNING"},
        {"KCDTACTST.TSKSTAT.ENUM.12",                     "INSUFFICIENT USER AUTHORITY"},
        {"KCDTACTST.TSKSTAT.ENUM.2",                      "GENERAL ERROR"},
        {"KCDTACTST.TSKSTAT.ENUM.3",                      "WARNING"},
        {"KCDTACTST.TSKSTAT.ENUM.4",                      "NOT RUNNING"},
        {"KCDTACTST.TSKSTAT.ENUM.5",                      "DEPENDENT NOT RUNNING"},
        {"KCDTACTST.TSKSTAT.ENUM.6",                      "ALREADY RUNNING"},
        {"KCDTACTST.TSKSTAT.ENUM.7",                      "PREREQ NOT RUNNING"},
        {"KCDTACTST.TSKSTAT.ENUM.8",                      "TIMED OUT"},
        {"KCDTACTST.TSKSTAT.ENUM.9",                      "DOESNT EXIST"},

        {"KCDTACTST.TSKAPRC",                             "Action App Return Code"},

        {"KCDTACTST.TSKMSGE",                             "Action Message"},

        {"KCDTACTST.TSKINST",                             "Action Instance"},

        {"KCDTACTST.TSKOUTP",                             "Action Results"},

        {"KCDTACTST.TSKCMND",                             "Action Command"},

        {"KCDTACTST.TSKORGN",                             "Action Node"},

        {"KCDTACTST.TSKSBND",                             "Action Subnode"},

        {"KCDTACTST.TSKID",                               "Action ID"},

        {"KCDTACTST.TSKTYPE",                             "Action Type"},
        {"KCDTACTST.TSKTYPE.ENUM.0",                      "UNKNOWN"},
        {"KCDTACTST.TSKTYPE.ENUM.1",                      "AUTOMATION"},

        {"KCDTACTST.TSKOWNR",                             "Action Owner"},

};
return contents;
}

public Object[][] _oM7()
{
Object[][] contents = 
{
        {"TABLE.KCDTEAMSE1.OBJECT",                       "KCD APPLICATION"},
        {"KCDTEAMSE1.ORIGINNODE",                         "Node"},

        {"KCDTEAMSE1.TIMESTAMP",                          "Timestamp"},

        {"KCDTEAMSE1.STARTTIME",                          "StartTime"},

        {"KCDTEAMSE1.ALLAPPLICA",                         "AllApplicationProperties"},

};
return contents;
}

public Object[][] _oM8()
{
Object[][] contents = 
{
        {"TABLE.KCDPOOLS.OBJECT",                         "KCD POOLS"},
        {"KCDPOOLS.ORIGINNODE",                           "Node"},

        {"KCDPOOLS.TIMESTAMP",                            "Timestamp"},

        {"KCDPOOLS.OBJECT_NAM",                           "Object Name"},

        {"KCDPOOLS.IDLETIME",                             "IdleTime"},
        {"KCDPOOLS.IDLETIME.ENUM.-9223372036854775808",   "Value Exceeds Minimum"},
        {"KCDPOOLS.IDLETIME.ENUM.9223372036854775807",    "Value Exceeds Maximum"},

        {"KCDPOOLS.DATABASEPR",                           "DatabaseProperties"},

        {"KCDPOOLS.ALLOCATEDC",                           "AllocatedCount"},
        {"KCDPOOLS.ALLOCATEDC.ENUM.-2147483648",          "Value Exceeds Minimum"},
        {"KCDPOOLS.ALLOCATEDC.ENUM.2147483647",           "Value Exceeds Maximum"},

        {"KCDPOOLS.CURRENTPOO",                           "CurrentPoolSize"},
        {"KCDPOOLS.CURRENTPOO.ENUM.-2147483648",          "Value Exceeds Minimum"},
        {"KCDPOOLS.CURRENTPOO.ENUM.2147483647",           "Value Exceeds Maximum"},

        {"KCDPOOLS.NAME",                                 "Name"},

        {"KCDPOOLS.SEMAPHORES",                           "SemaphoreStats Attempt"},
        {"KCDPOOLS.SEMAPHORES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORES.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.MAXENTRIES",                           "MaxEntries"},
        {"KCDPOOLS.MAXENTRIES.ENUM.-2147483648",          "Value Exceeds Minimum"},
        {"KCDPOOLS.MAXENTRIES.ENUM.2147483647",           "Value Exceeds Maximum"},

        {"KCDPOOLS.MAXWAITMIL",                           "MaxWaitMilliseconds"},
        {"KCDPOOLS.MAXWAITMIL.ENUM.-2147483648",          "Value Exceeds Minimum"},
        {"KCDPOOLS.MAXWAITMIL.ENUM.2147483647",           "Value Exceeds Maximum"},

        {"KCDPOOLS.CONNECTION",                           "ConnectionMaxAgeInMilliseconds"},
        {"KCDPOOLS.CONNECTION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.CONNECTION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE0",                           "SemaphoreStats Expire"},
        {"KCDPOOLS.SEMAPHORE0.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE0.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE1",                           "SemaphoreStats Immediate"},
        {"KCDPOOLS.SEMAPHORE1.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE1.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE2",                           "SemaphoreStats Interrupt"},
        {"KCDPOOLS.SEMAPHORE2.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE2.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE3",                           "SemaphoreStats Oops"},
        {"KCDPOOLS.SEMAPHORE3.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE3.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE4",                           "SemaphoreStats Wait"},
        {"KCDPOOLS.SEMAPHORE4.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE4.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE5",                           "SemaphoreStats Percent Expire"},
        {"KCDPOOLS.SEMAPHORE5.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE5.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE6",                           "SemaphoreStats Percent Immediate"},
        {"KCDPOOLS.SEMAPHORE6.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE6.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE7",                           "SemaphoreStats Percent Interrupt"},
        {"KCDPOOLS.SEMAPHORE7.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE7.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE8",                           "SemaphoreStats Percent Oops"},
        {"KCDPOOLS.SEMAPHORE8.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE8.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.SEMAPHORE9",                           "SemaphoreStats Percent Wait"},
        {"KCDPOOLS.SEMAPHORE9.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPOOLS.SEMAPHORE9.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPOOLS.TYPE",                                 "Type"},

};
return contents;
}

public Object[][] _oM9()
{
Object[][] contents = 
{
        {"TABLE.KCDJVM.OBJECT",                           "KCD JVM"},
        {"KCDJVM.ORIGINNODE",                             "Node"},

        {"KCDJVM.TIMESTAMP",                              "Timestamp"},

        {"KCDJVM.TYPE",                                   "Type"},

        {"KCDJVM.PERCENTCPU",                             "PercentCPU"},
        {"KCDJVM.PERCENTCPU.ENUM.-9223372036854775808",   "Value Exceeds Minimum"},
        {"KCDJVM.PERCENTCPU.ENUM.9223372036854775807",    "Value Exceeds Maximum"},

        {"KCDJVM.OBJECT_NAM",                             "Object Name"},

};
return contents;
}

public Object[][] _oM10()
{
Object[][] contents = 
{
        {"TABLE.KCDCONFIGU.OBJECT",                       "KCD CONFIGURATION"},
        {"KCDCONFIGU.ORIGINNODE",                         "Node"},

        {"KCDCONFIGU.TIMESTAMP",                          "Timestamp"},

        {"KCDCONFIGU.CACHEMAXEN",                         "CacheMaxEntriesLocalHeap"},
        {"KCDCONFIGU.CACHEMAXEN.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCONFIGU.CACHEMAXEN.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCONFIGU.CACHEMAXBY",                         "CacheMaxBytesLocalDisk"},

        {"KCDCONFIGU.PROBLEMCAC",                         "ProblemCacheMaxEntriesLocalHeap"},
        {"KCDCONFIGU.PROBLEMCAC.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCONFIGU.PROBLEMCAC.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCONFIGU.PROBLEMCA0",                         "ProblemCacheMaxBytesLocalDisk"},

        {"KCDCONFIGU.CACHINGENA",                         "CachingEnabled"},
        {"KCDCONFIGU.CACHINGENA.ENUM.0",                  "FALSE"},
        {"KCDCONFIGU.CACHINGENA.ENUM.1",                  "TRUE"},

        {"KCDCONFIGU.CACHEDISKS",                         "CacheDiskStoreDirectory"},

        {"KCDCONFIGU.DIAGNOSTIC",                         "DiagnosticsEnabled"},
        {"KCDCONFIGU.DIAGNOSTIC.ENUM.0",                  "FALSE"},
        {"KCDCONFIGU.DIAGNOSTIC.ENUM.1",                  "TRUE"},

        {"KCDCONFIGU.ALLMONITOR",                         "AllMonitorsEnabled"},
        {"KCDCONFIGU.ALLMONITOR.ENUM.0",                  "FALSE"},
        {"KCDCONFIGU.ALLMONITOR.ENUM.1",                  "TRUE"},

        {"KCDCONFIGU.CALLTREECO",                         "CallTreeCollectionEnabled"},
        {"KCDCONFIGU.CALLTREECO.ENUM.0",                  "FALSE"},
        {"KCDCONFIGU.CALLTREECO.ENUM.1",                  "TRUE"},

        {"KCDCONFIGU.CALLTREEBU",                         "CallTreeBufferSize"},
        {"KCDCONFIGU.CALLTREEBU.ENUM.-2147483648",        "Value Exceeds Minimum"},
        {"KCDCONFIGU.CALLTREEBU.ENUM.2147483647",         "Value Exceeds Maximum"},

        {"KCDCONFIGU.REGISTERAC",                         "RegisterActivityWithSession"},
        {"KCDCONFIGU.REGISTERAC.ENUM.0",                  "FALSE"},
        {"KCDCONFIGU.REGISTERAC.ENUM.1",                  "TRUE"},

        {"KCDCONFIGU.MAXPROBLEM",                         "MaxProblemsToKeep"},
        {"KCDCONFIGU.MAXPROBLEM.ENUM.-2147483648",        "Value Exceeds Minimum"},
        {"KCDCONFIGU.MAXPROBLEM.ENUM.2147483647",         "Value Exceeds Maximum"},

        {"KCDCONFIGU.PROBLEMSCR",                         "ProblemScrubberStrategy"},

        {"KCDCONFIGU.PROBLEMSC0",                         "ProblemScrubberInterval"},
        {"KCDCONFIGU.PROBLEMSC0.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCONFIGU.PROBLEMSC0.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM11()
{
Object[][] contents = 
{
        {"TABLE.KCDCSMPOS.OBJECT",                        "KCD CSM PERFORMANCE OBJECT STATUS"},
        {"KCDCSMPOS.ORIGINNODE",                          "Node"},

        {"KCDCSMPOS.TIMESTAMP",                           "Timestamp"},

        {"KCDCSMPOS.ATTRGRP",                             "Query Name"},

        {"KCDCSMPOS.OBJNAME",                             "Object Name"},

        {"KCDCSMPOS.OBJTYPE",                             "Object Type"},
        {"KCDCSMPOS.OBJTYPE.ENUM.0",                      "WMI"},
        {"KCDCSMPOS.OBJTYPE.ENUM.1",                      "PERFMON"},
        {"KCDCSMPOS.OBJTYPE.ENUM.10",                     "WMI REMOTE DATA"},
        {"KCDCSMPOS.OBJTYPE.ENUM.11",                     "LOG FILE"},
        {"KCDCSMPOS.OBJTYPE.ENUM.12",                     "JDBC"},
        {"KCDCSMPOS.OBJTYPE.ENUM.13",                     "CONFIG DISCOVERY"},
        {"KCDCSMPOS.OBJTYPE.ENUM.14",                     "NT EVENT LOG"},
        {"KCDCSMPOS.OBJTYPE.ENUM.15",                     "FILTER"},
        {"KCDCSMPOS.OBJTYPE.ENUM.16",                     "SNMP EVENT"},
        {"KCDCSMPOS.OBJTYPE.ENUM.17",                     "PING"},
        {"KCDCSMPOS.OBJTYPE.ENUM.18",                     "DIRECTOR DATA"},
        {"KCDCSMPOS.OBJTYPE.ENUM.19",                     "DIRECTOR EVENT"},
        {"KCDCSMPOS.OBJTYPE.ENUM.2",                      "WMI ASSOCIATION GROUP"},
        {"KCDCSMPOS.OBJTYPE.ENUM.20",                     "SSH REMOTE SHELL COMMAND"},
        {"KCDCSMPOS.OBJTYPE.ENUM.3",                      "JMX"},
        {"KCDCSMPOS.OBJTYPE.ENUM.4",                      "SNMP"},
        {"KCDCSMPOS.OBJTYPE.ENUM.5",                      "SHELL COMMAND"},
        {"KCDCSMPOS.OBJTYPE.ENUM.6",                      "JOINED GROUPS"},
        {"KCDCSMPOS.OBJTYPE.ENUM.7",                      "CIMOM"},
        {"KCDCSMPOS.OBJTYPE.ENUM.8",                      "CUSTOM"},
        {"KCDCSMPOS.OBJTYPE.ENUM.9",                      "ROLLUP DATA"},

        {"KCDCSMPOS.OBJSTTS",                             "Object Status"},
        {"KCDCSMPOS.OBJSTTS.ENUM.0",                      "ACTIVE"},
        {"KCDCSMPOS.OBJSTTS.ENUM.1",                      "INACTIVE"},

        {"KCDCSMPOS.ERRCODE",                             "Error Code"},
        {"KCDCSMPOS.ERRCODE.ENUM.0",                      "NO ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.1",                      "GENERAL ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.10",                     "NO INSTANCES RETURNED"},
        {"KCDCSMPOS.ERRCODE.ENUM.11",                     "ASSOCIATOR QUERY FAILED"},
        {"KCDCSMPOS.ERRCODE.ENUM.12",                     "REFERENCE QUERY FAILED"},
        {"KCDCSMPOS.ERRCODE.ENUM.13",                     "NO RESPONSE RECEIVED"},
        {"KCDCSMPOS.ERRCODE.ENUM.14",                     "CANNOT FIND JOINED QUERY"},
        {"KCDCSMPOS.ERRCODE.ENUM.15",                     "CANNOT FIND JOIN ATTRIBUTE IN QUERY 1 RESULTS"},
        {"KCDCSMPOS.ERRCODE.ENUM.16",                     "CANNOT FIND JOIN ATTRIBUTE IN QUERY 2 RESULTS"},
        {"KCDCSMPOS.ERRCODE.ENUM.17",                     "QUERY 1 NOT A SINGLETON"},
        {"KCDCSMPOS.ERRCODE.ENUM.18",                     "QUERY 2 NOT A SINGLETON"},
        {"KCDCSMPOS.ERRCODE.ENUM.19",                     "NO INSTANCES RETURNED IN QUERY 1"},
        {"KCDCSMPOS.ERRCODE.ENUM.2",                      "OBJECT NOT FOUND"},
        {"KCDCSMPOS.ERRCODE.ENUM.20",                     "NO INSTANCES RETURNED IN QUERY 2"},
        {"KCDCSMPOS.ERRCODE.ENUM.21",                     "CANNOT FIND ROLLUP QUERY"},
        {"KCDCSMPOS.ERRCODE.ENUM.22",                     "CANNOT FIND ROLLUP ATTRIBUTE"},
        {"KCDCSMPOS.ERRCODE.ENUM.23",                     "FILE OFFLINE"},
        {"KCDCSMPOS.ERRCODE.ENUM.24",                     "NO HOSTNAME"},
        {"KCDCSMPOS.ERRCODE.ENUM.25",                     "MISSING LIBRARY"},
        {"KCDCSMPOS.ERRCODE.ENUM.26",                     "ATTRIBUTE COUNT MISMATCH"},
        {"KCDCSMPOS.ERRCODE.ENUM.27",                     "ATTRIBUTE NAME MISMATCH"},
        {"KCDCSMPOS.ERRCODE.ENUM.28",                     "COMMON DATA PROVIDER NOT STARTED"},
        {"KCDCSMPOS.ERRCODE.ENUM.29",                     "CALLBACK REGISTRATION ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.3",                      "COUNTER NOT FOUND"},
        {"KCDCSMPOS.ERRCODE.ENUM.30",                     "MDL LOAD ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.31",                     "AUTHENTICATION FAILED"},
        {"KCDCSMPOS.ERRCODE.ENUM.32",                     "CANNOT RESOLVE HOST NAME"},
        {"KCDCSMPOS.ERRCODE.ENUM.33",                     "SUBNODE UNAVAILABLE"},
        {"KCDCSMPOS.ERRCODE.ENUM.34",                     "SUBNODE NOT FOUND IN CONFIG"},
        {"KCDCSMPOS.ERRCODE.ENUM.35",                     "ATTRIBUTE ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.36",                     "CLASSPATH ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.37",                     "CONNECTION FAILURE"},
        {"KCDCSMPOS.ERRCODE.ENUM.38",                     "FILTER SYNTAX ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.39",                     "FILE NAME MISSING"},
        {"KCDCSMPOS.ERRCODE.ENUM.4",                      "NAMESPACE ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.40",                     "SQL QUERY ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.41",                     "SQL FILTER QUERY ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.42",                     "SQL DB QUERY ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.43",                     "SQL DB FILTER QUERY ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.44",                     "PORT OPEN FAILED"},
        {"KCDCSMPOS.ERRCODE.ENUM.45",                     "ACCESS DENIED"},
        {"KCDCSMPOS.ERRCODE.ENUM.46",                     "TIMEOUT"},
        {"KCDCSMPOS.ERRCODE.ENUM.47",                     "NOT IMPLEMENTED"},
        {"KCDCSMPOS.ERRCODE.ENUM.48",                     "REQUESTED A BAD VALUE"},
        {"KCDCSMPOS.ERRCODE.ENUM.49",                     "RESPONSE TOO BIG"},
        {"KCDCSMPOS.ERRCODE.ENUM.5",                      "OBJECT CURRENTLY UNAVAILABLE"},
        {"KCDCSMPOS.ERRCODE.ENUM.50",                     "GENERAL RESPONSE ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.51",                     "SCRIPT NONZERO RETURN"},
        {"KCDCSMPOS.ERRCODE.ENUM.52",                     "SCRIPT NOT FOUND"},
        {"KCDCSMPOS.ERRCODE.ENUM.53",                     "SCRIPT LAUNCH ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.54",                     "CONF FILE DOES NOT EXIST"},
        {"KCDCSMPOS.ERRCODE.ENUM.55",                     "CONF FILE ACCESS DENIED"},
        {"KCDCSMPOS.ERRCODE.ENUM.56",                     "INVALID CONF FILE"},
        {"KCDCSMPOS.ERRCODE.ENUM.57",                     "EIF INITIALIZATION FAILED"},
        {"KCDCSMPOS.ERRCODE.ENUM.58",                     "CANNOT OPEN FORMAT FILE"},
        {"KCDCSMPOS.ERRCODE.ENUM.59",                     "FORMAT FILE SYNTAX ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.6",                      "COM LIBRARY INIT FAILURE"},
        {"KCDCSMPOS.ERRCODE.ENUM.60",                     "REMOTE HOST UNAVAILABLE"},
        {"KCDCSMPOS.ERRCODE.ENUM.61",                     "EVENT LOG DOES NOT EXIST"},
        {"KCDCSMPOS.ERRCODE.ENUM.62",                     "PING FILE DOES NOT EXIST"},
        {"KCDCSMPOS.ERRCODE.ENUM.63",                     "NO PING DEVICE FILES"},
        {"KCDCSMPOS.ERRCODE.ENUM.64",                     "PING DEVICE LIST FILE MISSING"},
        {"KCDCSMPOS.ERRCODE.ENUM.65",                     "SNMP MISSING PASSWORD"},
        {"KCDCSMPOS.ERRCODE.ENUM.66",                     "DISABLED"},
        {"KCDCSMPOS.ERRCODE.ENUM.67",                     "URLS FILE NOT FOUND"},
        {"KCDCSMPOS.ERRCODE.ENUM.68",                     "XML PARSE ERROR"},
        {"KCDCSMPOS.ERRCODE.ENUM.69",                     "NOT INITIALIZED"},
        {"KCDCSMPOS.ERRCODE.ENUM.7",                      "SECURITY INIT FAILURE"},
        {"KCDCSMPOS.ERRCODE.ENUM.70",                     "ICMP SOCKETS FAILED"},
        {"KCDCSMPOS.ERRCODE.ENUM.71",                     "DUPLICATE CONF FILE"},
        {"KCDCSMPOS.ERRCODE.ENUM.9",                      "PROXY SECURITY FAILURE"},

        {"KCDCSMPOS.COLSTRT",                             "Last Collection Start"},
        {"KCDCSMPOS.COLSTRT.ENUM.0000000000000001",       "NOT COLLECTED"},
        {"KCDCSMPOS.COLSTRT.ENUM.0691231190000000",       "NOT COLLECTED"},

        {"KCDCSMPOS.COLFINI",                             "Last Collection Finished"},
        {"KCDCSMPOS.COLFINI.ENUM.0000000000000001",       "NOT COLLECTED"},
        {"KCDCSMPOS.COLFINI.ENUM.0691231190000000",       "NOT COLLECTED"},

        {"KCDCSMPOS.COLDURA",                             "Last Collection Duration"},

        {"KCDCSMPOS.COLAVGD",                             "Average Collection Duration"},
        {"KCDCSMPOS.COLAVGD.ENUM.-100",                   "NO DATA"},

        {"KCDCSMPOS.REFRINT",                             "Refresh Interval"},

        {"KCDCSMPOS.NUMCOLL",                             "Number of Collections"},

        {"KCDCSMPOS.CACHEHT",                             "Cache Hits"},

        {"KCDCSMPOS.CACHEMS",                             "Cache Misses"},

        {"KCDCSMPOS.CACHPCT",                             "Cache Hit Percent"},

        {"KCDCSMPOS.INTSKIP",                             "Intervals Skipped"},

};
return contents;
}

public Object[][] _oM12()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPRO.OBJECT",                       "KCD BASEPROBLEMREQUESTS"},
        {"KCDBASEPRO.ORIGINNODE",                         "Node"},

        {"KCDBASEPRO.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPRO.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPRO.IDENTIFIER",                         "Identifier"},

        {"KCDBASEPRO.NAME",                               "Name"},

        {"KCDBASEPRO.STARTDATE",                          "StartDate"},

        {"KCDBASEPRO.FINISHDATE",                         "FinishDate"},

        {"KCDBASEPRO.DURATION",                           "Duration"},
        {"KCDBASEPRO.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPRO.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEPRO.SIZE",                               "Size"},
        {"KCDBASEPRO.SIZE.ENUM.-9223372036854775808",     "Value Exceeds Minimum"},
        {"KCDBASEPRO.SIZE.ENUM.9223372036854775807",      "Value Exceeds Maximum"},

        {"KCDBASEPRO.METHOD",                             "Method"},

        {"KCDBASEPRO.USERNAME",                           "Username"},

        {"KCDBASEPRO.SESSIONID",                          "SessionID"},

        {"KCDBASEPRO.REQUESTURI",                         "RequestURI"},

        {"KCDBASEPRO.CATEGORY",                           "Category"},

};
return contents;
}

public Object[][] _oM13()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBLE0.OBJECT",                       "KCD PROBLEMREQUESTACTVITYLINKS"},
        {"KCDPROBLE0.ORIGINNODE",                         "Node"},

        {"KCDPROBLE0.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBLE0.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBLE0.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM14()
{
Object[][] contents = 
{
        {"TABLE.KCDREQUES1.OBJECT",                       "KCD REQUESTTOTALS"},
        {"KCDREQUES1.ORIGINNODE",                         "Node"},

        {"KCDREQUES1.TIMESTAMP",                          "Timestamp"},

        {"KCDREQUES1.TOTALCOUNT",                         "TotalCount"},
        {"KCDREQUES1.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUES1.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUES1.TOTALDURAT",                         "TotalDuration"},
        {"KCDREQUES1.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUES1.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM15()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBLE4.OBJECT",                       "KCD PROBLEMREQUESTS"},
        {"KCDPROBLE4.ORIGINNODE",                         "Node"},

        {"KCDPROBLE4.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBLE4.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBLE4.IDENTIFIER",                         "Identifier"},

        {"KCDPROBLE4.NAME",                               "Name"},

        {"KCDPROBLE4.STARTDATE",                          "StartDate"},

        {"KCDPROBLE4.FINISHDATE",                         "FinishDate"},

        {"KCDPROBLE4.DURATION",                           "Duration"},
        {"KCDPROBLE4.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBLE4.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBLE4.SIZE",                               "Size"},
        {"KCDPROBLE4.SIZE.ENUM.-9223372036854775808",     "Value Exceeds Minimum"},
        {"KCDPROBLE4.SIZE.ENUM.9223372036854775807",      "Value Exceeds Maximum"},

        {"KCDPROBLE4.METHOD",                             "Method"},

        {"KCDPROBLE4.USERNAME",                           "Username"},

        {"KCDPROBLE4.SESSIONID",                          "SessionID"},

        {"KCDPROBLE4.REQUESTURI",                         "RequestURI"},

        {"KCDPROBLE4.CATEGORY",                           "Category"},

        {"KCDPROBLE4.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM16()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEREQ.OBJECT",                       "KCD BASEREQUESTS"},
        {"KCDBASEREQ.ORIGINNODE",                         "Node"},

        {"KCDBASEREQ.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEREQ.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEREQ.NAME",                               "Name"},

        {"KCDBASEREQ.TYPE",                               "Type"},

        {"KCDBASEREQ.MINIMUMREQ",                         "MinimumRequestSize"},
        {"KCDBASEREQ.MINIMUMREQ.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.MINIMUMREQ.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEREQ.MAXIMUMREQ",                         "MaximumRequestSize"},
        {"KCDBASEREQ.MAXIMUMREQ.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.MAXIMUMREQ.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEREQ.AVERAGEREQ",                         "AverageRequestSize"},
        {"KCDBASEREQ.AVERAGEREQ.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.AVERAGEREQ.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEREQ.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDBASEREQ.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEREQ.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDBASEREQ.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEREQ.AVERAGERES",                         "AverageResponseTime"},
        {"KCDBASEREQ.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEREQ.COUNT",                              "Count"},
        {"KCDBASEREQ.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDBASEREQ.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDBASEREQ.DURATION",                           "Duration"},
        {"KCDBASEREQ.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEREQ.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDBASEREQ.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEREQ.COUNTDELTA",                         "CountDelta"},
        {"KCDBASEREQ.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEREQ.DURATIONDE",                         "DurationDelta"},
        {"KCDBASEREQ.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEREQ.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDBASEREQ.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEREQ.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM17()
{
Object[][] contents = 
{
        {"TABLE.KCDREQUEST.OBJECT",                       "KCD REQUESTS"},
        {"KCDREQUEST.ORIGINNODE",                         "Node"},

        {"KCDREQUEST.TIMESTAMP",                          "Timestamp"},

        {"KCDREQUEST.OBJECT_NAM",                         "Object Name"},

        {"KCDREQUEST.NAME",                               "Name"},

        {"KCDREQUEST.TYPE",                               "Type"},

        {"KCDREQUEST.MINIMUMREQ",                         "MinimumRequestSize"},
        {"KCDREQUEST.MINIMUMREQ.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.MINIMUMREQ.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.MAXIMUMREQ",                         "MaximumRequestSize"},
        {"KCDREQUEST.MAXIMUMREQ.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.MAXIMUMREQ.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.AVERAGEREQ",                         "AverageRequestSize"},
        {"KCDREQUEST.AVERAGEREQ.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.AVERAGEREQ.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDREQUEST.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDREQUEST.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.AVERAGERES",                         "AverageResponseTime"},
        {"KCDREQUEST.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.COUNT",                              "Count"},
        {"KCDREQUEST.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDREQUEST.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDREQUEST.DURATION",                           "Duration"},
        {"KCDREQUEST.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDREQUEST.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDREQUEST.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.COUNTDELTA",                         "CountDelta"},
        {"KCDREQUEST.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.DURATIONDE",                         "DurationDelta"},
        {"KCDREQUEST.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDREQUEST.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.TOTALCOUNT",                         "TotalCount"},
        {"KCDREQUEST.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.TOTALDURAT",                         "TotalDuration"},
        {"KCDREQUEST.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.PERCENTOFT",                         "PercentOfTotal"},
        {"KCDREQUEST.PERCENTOFT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.PERCENTOFT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUEST.WEIGHTEDAV",                         "WeightedAverage"},
        {"KCDREQUEST.WEIGHTEDAV.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUEST.WEIGHTEDAV.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM18()
{
Object[][] contents = 
{
        {"TABLE.KCDREQUES2.OBJECT",                       "KCD REQUESTMONITOR"},
        {"KCDREQUES2.ORIGINNODE",                         "Node"},

        {"KCDREQUES2.TIMESTAMP",                          "Timestamp"},

        {"KCDREQUES2.OBJECT_NAM",                         "Object Name"},

        {"KCDREQUES2.TYPE",                               "Type"},

        {"KCDREQUES2.ENABLED",                            "Enabled"},
        {"KCDREQUES2.ENABLED.ENUM.0",                     "FALSE"},
        {"KCDREQUES2.ENABLED.ENUM.1",                     "TRUE"},

        {"KCDREQUES2.THRESHOLD",                          "Threshold"},
        {"KCDREQUES2.THRESHOLD.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUES2.THRESHOLD.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUES2.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDREQUES2.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUES2.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUES2.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDREQUES2.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUES2.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUES2.AVERAGERES",                         "AverageResponseTime"},
        {"KCDREQUES2.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUES2.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUES2.COUNT",                              "Count"},
        {"KCDREQUES2.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDREQUES2.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDREQUES2.DURATION",                           "Duration"},
        {"KCDREQUES2.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUES2.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDREQUES2.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDREQUES2.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDREQUES2.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDREQUES2.ROLLUPENAB",                         "RollupEnabled"},
        {"KCDREQUES2.ROLLUPENAB.ENUM.-2147483648",        "Value Exceeds Minimum"},
        {"KCDREQUES2.ROLLUPENAB.ENUM.2147483647",         "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM19()
{
Object[][] contents = 
{
        {"TABLE.KCDBASESER.OBJECT",                       "KCD BASESERVICES"},
        {"KCDBASESER.ORIGINNODE",                         "Node"},

        {"KCDBASESER.TIMESTAMP",                          "Timestamp"},

        {"KCDBASESER.OBJECT_NAM",                         "Object Name"},

        {"KCDBASESER.NAME",                               "Name"},

        {"KCDBASESER.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDBASESER.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESER.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESER.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDBASESER.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESER.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESER.AVERAGERES",                         "AverageResponseTime"},
        {"KCDBASESER.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESER.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESER.COUNT",                              "Count"},
        {"KCDBASESER.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDBASESER.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDBASESER.DURATION",                           "Duration"},
        {"KCDBASESER.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESER.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASESER.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDBASESER.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESER.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESER.COUNTDELTA",                         "CountDelta"},
        {"KCDBASESER.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESER.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESER.DURATIONDE",                         "DurationDelta"},
        {"KCDBASESER.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESER.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESER.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDBASESER.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESER.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESER.TYPE",                               "Type"},

};
return contents;
}

public Object[][] _oM20()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPR0.OBJECT",                       "KCD BASEPROBLEMSERVICE"},
        {"KCDBASEPR0.ORIGINNODE",                         "Node"},

        {"KCDBASEPR0.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPR0.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPR0.IDENTIFIER",                         "Identifier"},

        {"KCDBASEPR0.NAME",                               "Name"},

        {"KCDBASEPR0.STARTDATE",                          "StartDate"},

        {"KCDBASEPR0.FINISHDATE",                         "FinishDate"},

        {"KCDBASEPR0.DURATION",                           "Duration"},
        {"KCDBASEPR0.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPR0.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEPR0.CATEGORY",                           "Category"},

};
return contents;
}

public Object[][] _oM21()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBLE7.OBJECT",                       "KCD PROBLEMSERVICEACTVITYLINKS"},
        {"KCDPROBLE7.ORIGINNODE",                         "Node"},

        {"KCDPROBLE7.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBLE7.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBLE7.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM22()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBLE8.OBJECT",                       "KCD PROBLEMSERVICES"},
        {"KCDPROBLE8.ORIGINNODE",                         "Node"},

        {"KCDPROBLE8.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBLE8.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBLE8.IDENTIFIER",                         "Identifier"},

        {"KCDPROBLE8.NAME",                               "Name"},

        {"KCDPROBLE8.STARTDATE",                          "StartDate"},

        {"KCDPROBLE8.FINISHDATE",                         "FinishDate"},

        {"KCDPROBLE8.DURATION",                           "Duration"},
        {"KCDPROBLE8.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBLE8.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBLE8.CATEGORY",                           "Category"},

        {"KCDPROBLE8.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM23()
{
Object[][] contents = 
{
        {"TABLE.KCDSERVIC0.OBJECT",                       "KCD SERVICETOTALS"},
        {"KCDSERVIC0.ORIGINNODE",                         "Node"},

        {"KCDSERVIC0.TIMESTAMP",                          "Timestamp"},

        {"KCDSERVIC0.TOTALCOUNT",                         "TotalCount"},
        {"KCDSERVIC0.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC0.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC0.TOTALDURAT",                         "TotalDuration"},
        {"KCDSERVIC0.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC0.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM24()
{
Object[][] contents = 
{
        {"TABLE.KCDSERVIC1.OBJECT",                       "KCD SERVICES"},
        {"KCDSERVIC1.ORIGINNODE",                         "Node"},

        {"KCDSERVIC1.TIMESTAMP",                          "Timestamp"},

        {"KCDSERVIC1.OBJECT_NAM",                         "Object Name"},

        {"KCDSERVIC1.NAME",                               "Name"},

        {"KCDSERVIC1.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDSERVIC1.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDSERVIC1.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.AVERAGERES",                         "AverageResponseTime"},
        {"KCDSERVIC1.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.COUNT",                              "Count"},
        {"KCDSERVIC1.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDSERVIC1.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDSERVIC1.DURATION",                           "Duration"},
        {"KCDSERVIC1.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDSERVIC1.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDSERVIC1.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.COUNTDELTA",                         "CountDelta"},
        {"KCDSERVIC1.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.DURATIONDE",                         "DurationDelta"},
        {"KCDSERVIC1.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDSERVIC1.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.TYPE",                               "Type"},

        {"KCDSERVIC1.TOTALCOUNT",                         "TotalCount"},
        {"KCDSERVIC1.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.TOTALDURAT",                         "TotalDuration"},
        {"KCDSERVIC1.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.PERCENTOFT",                         "PercentOfTotal"},
        {"KCDSERVIC1.PERCENTOFT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.PERCENTOFT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC1.WEIGHTEDAV",                         "WeightedAverage"},
        {"KCDSERVIC1.WEIGHTEDAV.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC1.WEIGHTEDAV.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM25()
{
Object[][] contents = 
{
        {"TABLE.KCDSERVIC2.OBJECT",                       "KCD SERVICEMONITOR"},
        {"KCDSERVIC2.ORIGINNODE",                         "Node"},

        {"KCDSERVIC2.TIMESTAMP",                          "Timestamp"},

        {"KCDSERVIC2.OBJECT_NAM",                         "Object Name"},

        {"KCDSERVIC2.TYPE",                               "Type"},

        {"KCDSERVIC2.ENABLED",                            "Enabled"},
        {"KCDSERVIC2.ENABLED.ENUM.0",                     "FALSE"},
        {"KCDSERVIC2.ENABLED.ENUM.1",                     "TRUE"},

        {"KCDSERVIC2.THRESHOLD",                          "Threshold"},
        {"KCDSERVIC2.THRESHOLD.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC2.THRESHOLD.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC2.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDSERVIC2.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC2.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC2.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDSERVIC2.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC2.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC2.AVERAGERES",                         "AverageResponseTime"},
        {"KCDSERVIC2.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC2.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC2.COUNT",                              "Count"},
        {"KCDSERVIC2.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDSERVIC2.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDSERVIC2.DURATION",                           "Duration"},
        {"KCDSERVIC2.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC2.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDSERVIC2.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDSERVIC2.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSERVIC2.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSERVIC2.ROLLUPENAB",                         "RollupEnabled"},
        {"KCDSERVIC2.ROLLUPENAB.ENUM.-2147483648",        "Value Exceeds Minimum"},
        {"KCDSERVIC2.ROLLUPENAB.ENUM.2147483647",         "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM26()
{
Object[][] contents = 
{
        {"TABLE.KCDSESSIO0.OBJECT",                       "KCD SESSIONS"},
        {"KCDSESSIO0.ORIGINNODE",                         "Node"},

        {"KCDSESSIO0.TIMESTAMP",                          "Timestamp"},

        {"KCDSESSIO0.SESSIONID",                          "SessionID"},

        {"KCDSESSIO0.OBJECT_NAM",                         "Object Name"},

        {"KCDSESSIO0.USERNAME",                           "Username"},

        {"KCDSESSIO0.CREATIONTI",                         "CreationTime"},

        {"KCDSESSIO0.LASTACCESS",                         "LastAccessedTime"},

        {"KCDSESSIO0.EXPIRY",                             "Expiry"},

};
return contents;
}

public Object[][] _oM27()
{
Object[][] contents = 
{
        {"TABLE.KCDACTIVIT.OBJECT",                       "KCD ACTIVITIESSESSION"},
        {"KCDACTIVIT.ORIGINNODE",                         "Node"},

        {"KCDACTIVIT.TIMESTAMP",                          "Timestamp"},

        {"KCDACTIVIT.NAME",                               "Name"},

        {"KCDACTIVIT.OBJECT_NAM",                         "Object Name"},

        {"KCDACTIVIT.THREADID",                           "ThreadID"},
        {"KCDACTIVIT.THREADID.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDACTIVIT.THREADID.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDACTIVIT.THREADNAME",                         "ThreadName"},

        {"KCDACTIVIT.STARTDATE",                          "StartDate"},

        {"KCDACTIVIT.FINISHDATE",                         "FinishDate"},

        {"KCDACTIVIT.DURATION",                           "Duration"},
        {"KCDACTIVIT.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDACTIVIT.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDACTIVIT.PROBLEMCOU",                         "ProblemCount"},
        {"KCDACTIVIT.PROBLEMCOU.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDACTIVIT.PROBLEMCOU.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDACTIVIT.PROBLEM_NA",                         "Problem Name"},

};
return contents;
}

public Object[][] _oM28()
{
Object[][] contents = 
{
        {"TABLE.KCDACTIVI1.OBJECT",                       "KCD ACTIVITIES"},
        {"KCDACTIVI1.ORIGINNODE",                         "Node"},

        {"KCDACTIVI1.TIMESTAMP",                          "Timestamp"},

        {"KCDACTIVI1.NAME",                               "Name"},

        {"KCDACTIVI1.OBJECT_NAM",                         "Object Name"},

        {"KCDACTIVI1.THREADID",                           "ThreadID"},
        {"KCDACTIVI1.THREADID.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDACTIVI1.THREADID.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDACTIVI1.THREADNAME",                         "ThreadName"},

        {"KCDACTIVI1.STARTDATE",                          "StartDate"},

        {"KCDACTIVI1.FINISHDATE",                         "FinishDate"},

        {"KCDACTIVI1.DURATION",                           "Duration"},
        {"KCDACTIVI1.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDACTIVI1.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDACTIVI1.PROBLEMCOU",                         "ProblemCount"},
        {"KCDACTIVI1.PROBLEMCOU.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDACTIVI1.PROBLEMCOU.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDACTIVI1.ACTIVITYID",                         "ActivityID"},

        {"KCDACTIVI1.SESSION_NA",                         "Session Name"},

        {"KCDACTIVI1.PROBLEM_NA",                         "Problem Name"},

        {"KCDACTIVI1.ID",                                 "SessionID"},

        {"KCDACTIVI1.USERNAME",                           "Username"},

        {"KCDACTIVI1.CREATIONTI",                         "CreationTime"},

        {"KCDACTIVI1.LASTACCESS",                         "LastAccessedTime"},

        {"KCDACTIVI1.EXPIRY",                             "Expiry"},

        {"KCDACTIVI1.COUNT",                              "Count"},
        {"KCDACTIVI1.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDACTIVI1.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM29()
{
Object[][] contents = 
{
        {"TABLE.KCDTEAMSE7.OBJECT",                       "KCD DIAGNOSTIC"},
        {"KCDTEAMSE7.ORIGINNODE",                         "Node"},

        {"KCDTEAMSE7.TIMESTAMP",                          "Timestamp"},

        {"KCDTEAMSE7.OBJECT_NAM",                         "Object Name"},

        {"KCDTEAMSE7.TITLE",                              "Title"},

        {"KCDTEAMSE7.ID",                                 "Id"},

        {"KCDTEAMSE7.DESCRIPTIO",                         "Description"},

        {"KCDTEAMSE7.TYPE",                               "Type"},

};
return contents;
}

public Object[][] _oM30()
{
Object[][] contents = 
{
        {"TABLE.KCDTEAMSE8.OBJECT",                       "KCD DIAGNOSTICRESULTS"},
        {"KCDTEAMSE8.ORIGINNODE",                         "Node"},

        {"KCDTEAMSE8.TIMESTAMP",                          "Timestamp"},

        {"KCDTEAMSE8.OBJECT_NAM",                         "Object Name"},

        {"KCDTEAMSE8.RESULTS_ME",                         "Results Message"},

        {"KCDTEAMSE8.EXECUTIONT",                         "ExecutionTime"},

        {"KCDTEAMSE8.TYPE",                               "Type"},

        {"KCDTEAMSE8.RESULTS_ST",                         "Results Status"},

        {"KCDTEAMSE8.RESULTS_TE",                         "Results TestName"},

        {"KCDTEAMSE8.RESULTS_CA",                         "Results Category"},

        {"KCDTEAMSE8.RESULTS_DE",                         "Results Detail"},

        {"KCDTEAMSE8.NAME",                               "Name"},

};
return contents;
}

public Object[][] _oM31()
{
Object[][] contents = 
{
        {"TABLE.KCDTEAMSE5.OBJECT",                       "KCD CACHEDETAIL"},
        {"KCDTEAMSE5.ORIGINNODE",                         "Node"},

        {"KCDTEAMSE5.TIMESTAMP",                          "Timestamp"},

        {"KCDTEAMSE5.OBJECT_NAM",                         "Object Name"},

        {"KCDTEAMSE5.CACHENAME",                          "CacheName"},

        {"KCDTEAMSE5.CACHEMETHO",                         "CacheMethodStats Method"},

        {"KCDTEAMSE5.NAME",                               "Name"},

        {"KCDTEAMSE5.CACHEMETH0",                         "CacheMethodStats CacheAdded"},

        {"KCDTEAMSE5.CACHEMETH1",                         "CacheMethodStats CacheAutoUpdated"},

        {"KCDTEAMSE5.CACHEMETH2",                         "CacheMethodStats CacheHit"},

        {"KCDTEAMSE5.CACHEMETH3",                         "CacheMethodStats CacheInvalidated"},

        {"KCDTEAMSE5.CACHEMETH4",                         "CacheMethodStats CacheMiss"},

};
return contents;
}

public Object[][] _oM32()
{
Object[][] contents = 
{
        {"TABLE.KCDTEAMS12.OBJECT",                       "KCD CACHETYPES"},
        {"KCDTEAMS12.ORIGINNODE",                         "Node"},

        {"KCDTEAMS12.TIMESTAMP",                          "Timestamp"},

        {"KCDTEAMS12.OBJECT_NAM",                         "Object Name"},

        {"KCDTEAMS12.CACHENAME",                          "CacheName"},

        {"KCDTEAMS12.CACHEINVAL",                         "CacheInvalidated"},
        {"KCDTEAMS12.CACHEINVAL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.CACHEINVAL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.CACHEMISS",                          "CacheMiss"},
        {"KCDTEAMS12.CACHEMISS.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.CACHEMISS.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.CACHEHIT",                           "CacheHit"},
        {"KCDTEAMS12.CACHEHIT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.CACHEHIT.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDTEAMS12.CACHEADDED",                         "CacheAdded"},
        {"KCDTEAMS12.CACHEADDED.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.CACHEADDED.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.AUTOUPDATE",                         "AutoUpdated"},
        {"KCDTEAMS12.AUTOUPDATE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.AUTOUPDATE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.NAME",                               "Name"},

        {"KCDTEAMS12.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDTEAMS12.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDTEAMS12.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.AVERAGERES",                         "AverageResponseTime"},
        {"KCDTEAMS12.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.DURATION",                           "Duration"},
        {"KCDTEAMS12.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDTEAMS12.COUNT",                              "Count"},
        {"KCDTEAMS12.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDTEAMS12.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDTEAMS12.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDTEAMS12.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.COUNTDELTA",                         "CountDelta"},
        {"KCDTEAMS12.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.DURATIONDE",                         "DurationDelta"},
        {"KCDTEAMS12.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDTEAMS12.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.TYPE",                               "Type"},

        {"KCDTEAMS12.CACHEPERCE",                         "CachePercentHit"},
        {"KCDTEAMS12.CACHEPERCE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.CACHEPERCE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.CACHEPERC0",                         "CachePercentMiss"},
        {"KCDTEAMS12.CACHEPERC0.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDTEAMS12.CACHEPERC0.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDTEAMS12.FULLNAME",                           "FullName"},

};
return contents;
}

public Object[][] _oM33()
{
Object[][] contents = 
{
        {"TABLE.KCDCACHETO.OBJECT",                       "KCD CACHETOTALS"},
        {"KCDCACHETO.ORIGINNODE",                         "Node"},

        {"KCDCACHETO.TIMESTAMP",                          "Timestamp"},

        {"KCDCACHETO.TOTALCOUNT",                         "TotalCount"},
        {"KCDCACHETO.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHETO.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCACHETO.TOTALDURAT",                         "TotalDuration"},
        {"KCDCACHETO.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHETO.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM34()
{
Object[][] contents = 
{
        {"TABLE.KCDCACHE.OBJECT",                         "KCD CACHE"},
        {"KCDCACHE.ORIGINNODE",                           "Node"},

        {"KCDCACHE.TIMESTAMP",                            "Timestamp"},

        {"KCDCACHE.OBJECT_NAM",                           "Object Name"},

        {"KCDCACHE.NAME",                                 "Name"},

        {"KCDCACHE.CACHEMETHO",                           "CacheMethodStats"},

        {"KCDCACHE.CACHEINVAL",                           "CacheInvalidated"},
        {"KCDCACHE.CACHEINVAL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.CACHEINVAL.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHE.CACHEMISS",                            "CacheMiss"},
        {"KCDCACHE.CACHEMISS.ENUM.-9223372036854775808",  "Value Exceeds Minimum"},
        {"KCDCACHE.CACHEMISS.ENUM.9223372036854775807",   "Value Exceeds Maximum"},

        {"KCDCACHE.CACHEHIT",                             "CacheHit"},
        {"KCDCACHE.CACHEHIT.ENUM.-9223372036854775808",   "Value Exceeds Minimum"},
        {"KCDCACHE.CACHEHIT.ENUM.9223372036854775807",    "Value Exceeds Maximum"},

        {"KCDCACHE.CACHEADDED",                           "CacheAdded"},
        {"KCDCACHE.CACHEADDED.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.CACHEADDED.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHE.AUTOUPDATE",                           "AutoUpdated"},
        {"KCDCACHE.AUTOUPDATE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.AUTOUPDATE.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHE.MINIMUMRES",                           "MinimumResponseTime"},
        {"KCDCACHE.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.MINIMUMRES.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHE.MAXIMUMRES",                           "MaximumResponseTime"},
        {"KCDCACHE.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.MAXIMUMRES.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHE.AVERAGERES",                           "AverageResponseTime"},
        {"KCDCACHE.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.AVERAGERES.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHE.COUNT",                                "Count"},
        {"KCDCACHE.COUNT.ENUM.-9223372036854775808",      "Value Exceeds Minimum"},
        {"KCDCACHE.COUNT.ENUM.9223372036854775807",       "Value Exceeds Maximum"},

        {"KCDCACHE.DURATION",                             "Duration"},
        {"KCDCACHE.DURATION.ENUM.-9223372036854775808",   "Value Exceeds Minimum"},
        {"KCDCACHE.DURATION.ENUM.9223372036854775807",    "Value Exceeds Maximum"},

        {"KCDCACHE.TIMESINCEL",                           "TimeSinceLastReset"},
        {"KCDCACHE.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.TIMESINCEL.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHE.COUNTDELTA",                           "CountDelta"},
        {"KCDCACHE.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.COUNTDELTA.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHE.DURATIONDE",                           "DurationDelta"},
        {"KCDCACHE.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.DURATIONDE.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHE.LASTAVERAG",                           "LastAverageResponseTime"},
        {"KCDCACHE.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHE.LASTAVERAG.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM35()
{
Object[][] contents = 
{
        {"TABLE.KCDCACHEM0.OBJECT",                       "KCD CACHEMONITOR"},
        {"KCDCACHEM0.ORIGINNODE",                         "Node"},

        {"KCDCACHEM0.TIMESTAMP",                          "Timestamp"},

        {"KCDCACHEM0.OBJECT_NAM",                         "Object Name"},

        {"KCDCACHEM0.TYPE",                               "Type"},

        {"KCDCACHEM0.ENABLED",                            "Enabled"},
        {"KCDCACHEM0.ENABLED.ENUM.0",                     "FALSE"},
        {"KCDCACHEM0.ENABLED.ENUM.1",                     "TRUE"},

        {"KCDCACHEM0.THRESHOLD",                          "Threshold"},
        {"KCDCACHEM0.THRESHOLD.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHEM0.THRESHOLD.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCACHEM0.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDCACHEM0.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHEM0.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCACHEM0.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDCACHEM0.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHEM0.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCACHEM0.AVERAGERES",                         "AverageResponseTime"},
        {"KCDCACHEM0.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHEM0.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCACHEM0.COUNT",                              "Count"},
        {"KCDCACHEM0.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDCACHEM0.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDCACHEM0.DURATION",                           "Duration"},
        {"KCDCACHEM0.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHEM0.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCACHEM0.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDCACHEM0.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCACHEM0.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCACHEM0.ROLLUPENAB",                         "RollupEnabled"},
        {"KCDCACHEM0.ROLLUPENAB.ENUM.-2147483648",        "Value Exceeds Minimum"},
        {"KCDCACHEM0.ROLLUPENAB.ENUM.2147483647",         "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM36()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPRE.OBJECT",                       "KCD BASEPREPAREDDBSTATEMENTS"},
        {"KCDBASEPRE.ORIGINNODE",                         "Node"},

        {"KCDBASEPRE.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPRE.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPRE.NAME",                               "Name"},

        {"KCDBASEPRE.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDBASEPRE.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPRE.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEPRE.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDBASEPRE.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPRE.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEPRE.AVERAGERES",                         "AverageResponseTime"},
        {"KCDBASEPRE.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPRE.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEPRE.COUNT",                              "Count"},
        {"KCDBASEPRE.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDBASEPRE.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDBASEPRE.DURATION",                           "Duration"},
        {"KCDBASEPRE.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPRE.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEPRE.COUNTDELTA",                         "CountDelta"},
        {"KCDBASEPRE.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPRE.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEPRE.DURATIONDE",                         "DurationDelta"},
        {"KCDBASEPRE.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPRE.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEPRE.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDBASEPRE.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPRE.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEPRE.TYPE",                               "Type"},

};
return contents;
}

public Object[][] _oM37()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEEXE.OBJECT",                       "KCD BASEEXECUTEDBSTATEMENT"},
        {"KCDBASEEXE.ORIGINNODE",                         "Node"},

        {"KCDBASEEXE.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEEXE.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEEXE.NAME",                               "Name"},

        {"KCDBASEEXE.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDBASEEXE.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEEXE.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEEXE.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDBASEEXE.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEEXE.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEEXE.AVERAGERES",                         "AverageResponseTime"},
        {"KCDBASEEXE.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEEXE.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEEXE.COUNT",                              "Count"},
        {"KCDBASEEXE.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDBASEEXE.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDBASEEXE.DURATION",                           "Duration"},
        {"KCDBASEEXE.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEEXE.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEEXE.COUNTDELTA",                         "CountDelta"},
        {"KCDBASEEXE.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEEXE.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEEXE.DURATIONDE",                         "DurationDelta"},
        {"KCDBASEEXE.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEEXE.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEEXE.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDBASEEXE.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEEXE.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEEXE.TYPE",                               "Type"},

};
return contents;
}

public Object[][] _oM38()
{
Object[][] contents = 
{
        {"TABLE.KCDDBSTATE.OBJECT",                       "KCD DBSTATEMENTTOTALS"},
        {"KCDDBSTATE.ORIGINNODE",                         "Node"},

        {"KCDDBSTATE.TIMESTAMP",                          "Timestamp"},

        {"KCDDBSTATE.TOTALCOUNT",                         "TotalCount"},
        {"KCDDBSTATE.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDDBSTATE.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDDBSTATE.TOTALDURAT",                         "TotalDuration"},
        {"KCDDBSTATE.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDDBSTATE.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM39()
{
Object[][] contents = 
{
        {"TABLE.KCDPREPARE.OBJECT",                       "KCD PREPAREDDBSTATEMENTS"},
        {"KCDPREPARE.ORIGINNODE",                         "Node"},

        {"KCDPREPARE.TIMESTAMP",                          "Timestamp"},

        {"KCDPREPARE.OBJECT_NAM",                         "Object Name"},

        {"KCDPREPARE.NAME",                               "Name"},

        {"KCDPREPARE.MINIMUMPRE",                         "MinimumResponseTime"},
        {"KCDPREPARE.MINIMUMPRE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.MINIMUMPRE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.MAXIMUMPRE",                         "MaximumResponseTime"},
        {"KCDPREPARE.MAXIMUMPRE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.MAXIMUMPRE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.AVERAGEPRE",                         "AverageResponseTime"},
        {"KCDPREPARE.AVERAGEPRE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.AVERAGEPRE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.PREPARECOU",                         "Count"},
        {"KCDPREPARE.PREPARECOU.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.PREPARECOU.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.DURATION",                           "Duration"},
        {"KCDPREPARE.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPREPARE.COUNTDELTA",                         "CountDelta"},
        {"KCDPREPARE.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.DURATIONDE",                         "DurationDelta"},
        {"KCDPREPARE.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDPREPARE.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.TYPE",                               "Type"},

        {"KCDPREPARE.TOTALCOUNT",                         "TotalCount"},
        {"KCDPREPARE.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.TOTALDURAT",                         "TotalDuration"},
        {"KCDPREPARE.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.PERCENTOFT",                         "PercentOfTotal"},
        {"KCDPREPARE.PERCENTOFT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.PERCENTOFT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDPREPARE.WEIGHTEDAV",                         "WeightedAverage"},
        {"KCDPREPARE.WEIGHTEDAV.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPREPARE.WEIGHTEDAV.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM40()
{
Object[][] contents = 
{
        {"TABLE.KCDEXECUTE.OBJECT",                       "KCD EXECUTEDBSTATEMENT"},
        {"KCDEXECUTE.ORIGINNODE",                         "Node"},

        {"KCDEXECUTE.TIMESTAMP",                          "Timestamp"},

        {"KCDEXECUTE.OBJECT_NAM",                         "Object Name"},

        {"KCDEXECUTE.NAME",                               "Name"},

        {"KCDEXECUTE.MINIMUMEXE",                         "MinimumResponseTime"},
        {"KCDEXECUTE.MINIMUMEXE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.MINIMUMEXE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.MAXIMUMEXE",                         "MaximumResponseTime"},
        {"KCDEXECUTE.MAXIMUMEXE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.MAXIMUMEXE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.AVERAGEEXE",                         "AverageResponseTime"},
        {"KCDEXECUTE.AVERAGEEXE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.AVERAGEEXE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.EXECUTIONC",                         "Count"},
        {"KCDEXECUTE.EXECUTIONC.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.EXECUTIONC.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.DURATION",                           "Duration"},
        {"KCDEXECUTE.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDEXECUTE.COUNTDELTA",                         "CountDelta"},
        {"KCDEXECUTE.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.DURATIONDE",                         "DurationDelta"},
        {"KCDEXECUTE.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDEXECUTE.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.TYPE",                               "Type"},

        {"KCDEXECUTE.TOTALCOUNT",                         "TotalCount"},
        {"KCDEXECUTE.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.TOTALDURAT",                         "TotalDuration"},
        {"KCDEXECUTE.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.PERCENTOFT",                         "PercentOfTotal"},
        {"KCDEXECUTE.PERCENTOFT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.PERCENTOFT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDEXECUTE.WEIGHTEDAV",                         "WeightedAverage"},
        {"KCDEXECUTE.WEIGHTEDAV.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDEXECUTE.WEIGHTEDAV.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM41()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPR2.OBJECT",                       "KCD BASEPROBLEMEXECUTEDBSTATEMENT"},
        {"KCDBASEPR2.ORIGINNODE",                         "Node"},

        {"KCDBASEPR2.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPR2.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPR2.IDENTIFIER",                         "Identifier"},

        {"KCDBASEPR2.NAME",                               "Name"},

        {"KCDBASEPR2.STARTDATE",                          "StartDate"},

        {"KCDBASEPR2.FINISHDATE",                         "FinishDate"},

        {"KCDBASEPR2.DURATION",                           "Duration"},
        {"KCDBASEPR2.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPR2.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEPR2.CATEGORY",                           "Category"},

};
return contents;
}

public Object[][] _oM42()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBL14.OBJECT",                       "KCD PROBLEMEXECUTEDBSTATEMENTACTVITYLINKS"},
        {"KCDPROBL14.ORIGINNODE",                         "Node"},

        {"KCDPROBL14.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBL14.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBL14.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM43()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBL16.OBJECT",                       "KCD PROBLEMEXECUTEDBSTATEMENTS"},
        {"KCDPROBL16.ORIGINNODE",                         "Node"},

        {"KCDPROBL16.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBL16.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBL16.IDENTIFIER",                         "Identifier"},

        {"KCDPROBL16.NAME",                               "Name"},

        {"KCDPROBL16.STARTDATE",                          "StartDate"},

        {"KCDPROBL16.FINISHDATE",                         "FinishDate"},

        {"KCDPROBL16.DURATION",                           "Duration"},
        {"KCDPROBL16.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBL16.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBL16.CATEGORY",                           "Category"},

        {"KCDPROBL16.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM44()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPR3.OBJECT",                       "KCD BASEPROBLEMPREPAREDDBSTATEMENT"},
        {"KCDBASEPR3.ORIGINNODE",                         "Node"},

        {"KCDBASEPR3.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPR3.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPR3.IDENTIFIER",                         "Identifier"},

        {"KCDBASEPR3.NAME",                               "Name"},

        {"KCDBASEPR3.STARTDATE",                          "StartDate"},

        {"KCDBASEPR3.FINISHDATE",                         "FinishDate"},

        {"KCDBASEPR3.DURATION",                           "Duration"},
        {"KCDBASEPR3.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPR3.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEPR3.CATEGORY",                           "Category"},

};
return contents;
}

public Object[][] _oM45()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBL18.OBJECT",                       "KCD PROBLEMPREPAREDDBSTATEMENTACTVITYLINKS"},
        {"KCDPROBL18.ORIGINNODE",                         "Node"},

        {"KCDPROBL18.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBL18.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBL18.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM46()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBL20.OBJECT",                       "KCD PROBLEMPREPAREDDBSTATEMENTS"},
        {"KCDPROBL20.ORIGINNODE",                         "Node"},

        {"KCDPROBL20.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBL20.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBL20.IDENTIFIER",                         "Identifier"},

        {"KCDPROBL20.NAME",                               "Name"},

        {"KCDPROBL20.STARTDATE",                          "StartDate"},

        {"KCDPROBL20.FINISHDATE",                         "FinishDate"},

        {"KCDPROBL20.DURATION",                           "Duration"},
        {"KCDPROBL20.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBL20.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBL20.CATEGORY",                           "Category"},

        {"KCDPROBL20.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM47()
{
Object[][] contents = 
{
        {"TABLE.KCDDBSTAT0.OBJECT",                       "KCD DBSTATEMENTMONITOR"},
        {"KCDDBSTAT0.ORIGINNODE",                         "Node"},

        {"KCDDBSTAT0.TIMESTAMP",                          "Timestamp"},

        {"KCDDBSTAT0.OBJECT_NAM",                         "Object Name"},

        {"KCDDBSTAT0.TYPE",                               "Type"},

        {"KCDDBSTAT0.ENABLED",                            "Enabled"},
        {"KCDDBSTAT0.ENABLED.ENUM.0",                     "FALSE"},
        {"KCDDBSTAT0.ENABLED.ENUM.1",                     "TRUE"},

        {"KCDDBSTAT0.THRESHOLD",                          "Threshold"},
        {"KCDDBSTAT0.THRESHOLD.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDDBSTAT0.THRESHOLD.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDDBSTAT0.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDDBSTAT0.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDDBSTAT0.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDDBSTAT0.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDDBSTAT0.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDDBSTAT0.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDDBSTAT0.AVERAGERES",                         "AverageResponseTime"},
        {"KCDDBSTAT0.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDDBSTAT0.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDDBSTAT0.COUNT",                              "Count"},
        {"KCDDBSTAT0.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDDBSTAT0.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDDBSTAT0.DURATION",                           "Duration"},
        {"KCDDBSTAT0.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDDBSTAT0.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDDBSTAT0.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDDBSTAT0.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDDBSTAT0.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDDBSTAT0.ROLLUPENAB",                         "RollupEnabled"},
        {"KCDDBSTAT0.ROLLUPENAB.ENUM.-2147483648",        "Value Exceeds Minimum"},
        {"KCDDBSTAT0.ROLLUPENAB.ENUM.2147483647",         "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM48()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBLE6.OBJECT",                       "KCD PROBLEMACTIVITY"},
        {"KCDPROBLE6.ORIGINNODE",                         "Node"},

        {"KCDPROBLE6.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBLE6.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBLE6.NAME",                               "Name"},

        {"KCDPROBLE6.THREADID",                           "ThreadID"},
        {"KCDPROBLE6.THREADID.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBLE6.THREADID.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBLE6.THREADNAME",                         "ThreadName"},

        {"KCDPROBLE6.STARTDATE",                          "StartDate"},

        {"KCDPROBLE6.FINISHDATE",                         "FinishDate"},

        {"KCDPROBLE6.DURATION",                           "Duration"},
        {"KCDPROBLE6.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBLE6.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBLE6.PROBLEMCOU",                         "ProblemCount"},
        {"KCDPROBLE6.PROBLEMCOU.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBLE6.PROBLEMCOU.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM49()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEOUT.OBJECT",                       "KCD BASEOUTGOINGHTTPREQUESTS"},
        {"KCDBASEOUT.ORIGINNODE",                         "Node"},

        {"KCDBASEOUT.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEOUT.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEOUT.NAME",                               "Name"},

        {"KCDBASEOUT.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDBASEOUT.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEOUT.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEOUT.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDBASEOUT.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEOUT.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEOUT.AVERAGERES",                         "AverageResponseTime"},
        {"KCDBASEOUT.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEOUT.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEOUT.COUNT",                              "Count"},
        {"KCDBASEOUT.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDBASEOUT.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDBASEOUT.TYPE",                               "Type"},

        {"KCDBASEOUT.DURATION",                           "Duration"},
        {"KCDBASEOUT.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEOUT.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEOUT.COUNTDELTA",                         "CountDelta"},
        {"KCDBASEOUT.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEOUT.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEOUT.DURATIONDE",                         "DurationDelta"},
        {"KCDBASEOUT.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEOUT.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASEOUT.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDBASEOUT.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEOUT.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM50()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPR1.OBJECT",                       "KCD BASEPROBLEMHTTPCLIENTREQUEST"},
        {"KCDBASEPR1.ORIGINNODE",                         "Node"},

        {"KCDBASEPR1.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPR1.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPR1.IDENTIFIER",                         "Identifier"},

        {"KCDBASEPR1.NAME",                               "Name"},

        {"KCDBASEPR1.STARTDATE",                          "StartDate"},

        {"KCDBASEPR1.FINISHDATE",                         "FinishDate"},

        {"KCDBASEPR1.DURATION",                           "Duration"},
        {"KCDBASEPR1.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPR1.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEPR1.CATEGORY",                           "Category"},

};
return contents;
}

public Object[][] _oM51()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBLE9.OBJECT",                       "KCD PROBLEMHTTPCLIENTREQUESTACTVITYLINKS"},
        {"KCDPROBLE9.ORIGINNODE",                         "Node"},

        {"KCDPROBLE9.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBLE9.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBLE9.ACTIVITY",                           "Activity"},

        {"KCDPROBLE9.HOSTNAME",                           "hostname"},

};
return contents;
}

public Object[][] _oM52()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBL12.OBJECT",                       "KCD PROBLEMHTTPCLIENTREQUESTS"},
        {"KCDPROBL12.ORIGINNODE",                         "Node"},

        {"KCDPROBL12.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBL12.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBL12.IDENTIFIER",                         "Identifier"},

        {"KCDPROBL12.NAME",                               "Name"},

        {"KCDPROBL12.STARTDATE",                          "StartDate"},

        {"KCDPROBL12.FINISHDATE",                         "FinishDate"},

        {"KCDPROBL12.DURATION",                           "Duration"},
        {"KCDPROBL12.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBL12.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBL12.CATEGORY",                           "Category"},

        {"KCDPROBL12.ACTIVITY",                           "Activity"},

        {"KCDPROBL12.HOSTNAME",                           "hostname"},

};
return contents;
}

public Object[][] _oM53()
{
Object[][] contents = 
{
        {"TABLE.KCDOUTGOI0.OBJECT",                       "KCD OUTGOINGHTTPREQUESTTOTALS"},
        {"KCDOUTGOI0.ORIGINNODE",                         "Node"},

        {"KCDOUTGOI0.TIMESTAMP",                          "Timestamp"},

        {"KCDOUTGOI0.TOTALCOUNT",                         "TotalCount"},
        {"KCDOUTGOI0.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI0.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI0.TOTALDURAT",                         "TotalDuration"},
        {"KCDOUTGOI0.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI0.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM54()
{
Object[][] contents = 
{
        {"TABLE.KCDOUTGOI1.OBJECT",                       "KCD OUTGOINGHTTPREQUESTS"},
        {"KCDOUTGOI1.ORIGINNODE",                         "Node"},

        {"KCDOUTGOI1.TIMESTAMP",                          "Timestamp"},

        {"KCDOUTGOI1.OBJECT_NAM",                         "Object Name"},

        {"KCDOUTGOI1.NAME",                               "Name"},

        {"KCDOUTGOI1.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDOUTGOI1.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI1.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDOUTGOI1.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI1.AVERAGERES",                         "AverageResponseTime"},
        {"KCDOUTGOI1.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI1.COUNT",                              "Count"},
        {"KCDOUTGOI1.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDOUTGOI1.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDOUTGOI1.TYPE",                               "Type"},

        {"KCDOUTGOI1.DURATION",                           "Duration"},
        {"KCDOUTGOI1.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDOUTGOI1.COUNTDELTA",                         "CountDelta"},
        {"KCDOUTGOI1.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI1.DURATIONDE",                         "DurationDelta"},
        {"KCDOUTGOI1.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI1.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDOUTGOI1.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI1.TOTALCOUNT",                         "TotalCount"},
        {"KCDOUTGOI1.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI1.TOTALDURAT",                         "TotalDuration"},
        {"KCDOUTGOI1.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI1.PERCENTOFT",                         "PercentOfTotal"},
        {"KCDOUTGOI1.PERCENTOFT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.PERCENTOFT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI1.WEIGHTEDAV",                         "WeightedAverage"},
        {"KCDOUTGOI1.WEIGHTEDAV.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI1.WEIGHTEDAV.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM55()
{
Object[][] contents = 
{
        {"TABLE.KCDOUTGOI2.OBJECT",                       "KCD OUTGOINGHTTPREQUESTMONITOR"},
        {"KCDOUTGOI2.ORIGINNODE",                         "Node"},

        {"KCDOUTGOI2.TIMESTAMP",                          "Timestamp"},

        {"KCDOUTGOI2.OBJECT_NAM",                         "Object Name"},

        {"KCDOUTGOI2.TYPE",                               "Type"},

        {"KCDOUTGOI2.ENABLED",                            "Enabled"},
        {"KCDOUTGOI2.ENABLED.ENUM.0",                     "FALSE"},
        {"KCDOUTGOI2.ENABLED.ENUM.1",                     "TRUE"},

        {"KCDOUTGOI2.THRESHOLD",                          "Threshold"},
        {"KCDOUTGOI2.THRESHOLD.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI2.THRESHOLD.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI2.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDOUTGOI2.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI2.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI2.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDOUTGOI2.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI2.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI2.AVERAGERES",                         "AverageResponseTime"},
        {"KCDOUTGOI2.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI2.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI2.COUNT",                              "Count"},
        {"KCDOUTGOI2.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDOUTGOI2.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDOUTGOI2.DURATION",                           "Duration"},
        {"KCDOUTGOI2.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI2.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDOUTGOI2.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDOUTGOI2.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDOUTGOI2.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDOUTGOI2.ROLLUPENAB",                         "RollupEnabled"},
        {"KCDOUTGOI2.ROLLUPENAB.ENUM.-2147483648",        "Value Exceeds Minimum"},
        {"KCDOUTGOI2.ROLLUPENAB.ENUM.2147483647",         "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM56()
{
Object[][] contents = 
{
        {"TABLE.KCDBASESPA.OBJECT",                       "KCD BASESPARQL"},
        {"KCDBASESPA.ORIGINNODE",                         "Node"},

        {"KCDBASESPA.TIMESTAMP",                          "Timestamp"},

        {"KCDBASESPA.OBJECT_NAM",                         "Object Name"},

        {"KCDBASESPA.NAME",                               "Name"},

        {"KCDBASESPA.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDBASESPA.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESPA.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESPA.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDBASESPA.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESPA.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESPA.AVERAGERES",                         "AverageResponseTime"},
        {"KCDBASESPA.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESPA.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESPA.COUNT",                              "Count"},
        {"KCDBASESPA.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDBASESPA.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDBASESPA.TYPE",                               "Type"},

        {"KCDBASESPA.DURATION",                           "Duration"},
        {"KCDBASESPA.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESPA.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASESPA.COUNTDELTA",                         "CountDelta"},
        {"KCDBASESPA.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESPA.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESPA.DURATIONDE",                         "DurationDelta"},
        {"KCDBASESPA.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESPA.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASESPA.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDBASESPA.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASESPA.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM57()
{
Object[][] contents = 
{
        {"TABLE.KCDSPARQLT.OBJECT",                       "KCD SPARQLTOTALS"},
        {"KCDSPARQLT.ORIGINNODE",                         "Node"},

        {"KCDSPARQLT.TIMESTAMP",                          "Timestamp"},

        {"KCDSPARQLT.TOTALCOUNT",                         "TotalCount"},
        {"KCDSPARQLT.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQLT.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQLT.TOTALDURAT",                         "TotalDuration"},
        {"KCDSPARQLT.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQLT.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM58()
{
Object[][] contents = 
{
        {"TABLE.KCDSPARQL0.OBJECT",                       "KCD SPARQL"},
        {"KCDSPARQL0.ORIGINNODE",                         "Node"},

        {"KCDSPARQL0.TIMESTAMP",                          "Timestamp"},

        {"KCDSPARQL0.OBJECT_NAM",                         "Object Name"},

        {"KCDSPARQL0.NAME",                               "Name"},

        {"KCDSPARQL0.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDSPARQL0.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL0.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDSPARQL0.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL0.AVERAGERES",                         "AverageResponseTime"},
        {"KCDSPARQL0.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL0.COUNT",                              "Count"},
        {"KCDSPARQL0.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDSPARQL0.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDSPARQL0.TYPE",                               "Type"},

        {"KCDSPARQL0.DURATION",                           "Duration"},
        {"KCDSPARQL0.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDSPARQL0.COUNTDELTA",                         "CountDelta"},
        {"KCDSPARQL0.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL0.DURATIONDE",                         "DurationDelta"},
        {"KCDSPARQL0.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL0.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDSPARQL0.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL0.TOTALCOUNT",                         "TotalCount"},
        {"KCDSPARQL0.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL0.TOTALDURAT",                         "TotalDuration"},
        {"KCDSPARQL0.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL0.PERCENTOFT",                         "PercentOfTotal"},
        {"KCDSPARQL0.PERCENTOFT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.PERCENTOFT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL0.WEIGHTEDAV",                         "WeightedAverage"},
        {"KCDSPARQL0.WEIGHTEDAV.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL0.WEIGHTEDAV.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM59()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPR7.OBJECT",                       "KCD BASEPROBLEMSPARQL"},
        {"KCDBASEPR7.ORIGINNODE",                         "Node"},

        {"KCDBASEPR7.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPR7.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPR7.IDENTIFIER",                         "Identifier"},

        {"KCDBASEPR7.NAME",                               "Name"},

        {"KCDBASEPR7.STARTDATE",                          "StartDate"},

        {"KCDBASEPR7.FINISHDATE",                         "FinishDate"},

        {"KCDBASEPR7.DURATION",                           "Duration"},
        {"KCDBASEPR7.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPR7.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEPR7.CATEGORY",                           "Category"},

};
return contents;
}

public Object[][] _oM60()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBL23.OBJECT",                       "KCD PROBLEMSPARQLACTVITYLINKS"},
        {"KCDPROBL23.ORIGINNODE",                         "Node"},

        {"KCDPROBL23.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBL23.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBL23.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM61()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBL26.OBJECT",                       "KCD PROBLEMSPARQL"},
        {"KCDPROBL26.ORIGINNODE",                         "Node"},

        {"KCDPROBL26.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBL26.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBL26.IDENTIFIER",                         "Identifier"},

        {"KCDPROBL26.NAME",                               "Name"},

        {"KCDPROBL26.STARTDATE",                          "StartDate"},

        {"KCDPROBL26.FINISHDATE",                         "FinishDate"},

        {"KCDPROBL26.DURATION",                           "Duration"},
        {"KCDPROBL26.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBL26.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBL26.CATEGORY",                           "Category"},

        {"KCDPROBL26.OBJECT_NA1",                         "Object Name1"},

        {"KCDPROBL26.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM62()
{
Object[][] contents = 
{
        {"TABLE.KCDSPARQL1.OBJECT",                       "KCD SPARQLMONITOR"},
        {"KCDSPARQL1.ORIGINNODE",                         "Node"},

        {"KCDSPARQL1.TIMESTAMP",                          "Timestamp"},

        {"KCDSPARQL1.OBJECT_NAM",                         "Object Name"},

        {"KCDSPARQL1.TYPE",                               "Type"},

        {"KCDSPARQL1.ENABLED",                            "Enabled"},
        {"KCDSPARQL1.ENABLED.ENUM.0",                     "FALSE"},
        {"KCDSPARQL1.ENABLED.ENUM.1",                     "TRUE"},

        {"KCDSPARQL1.THRESHOLD",                          "Threshold"},
        {"KCDSPARQL1.THRESHOLD.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL1.THRESHOLD.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL1.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDSPARQL1.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL1.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL1.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDSPARQL1.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL1.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL1.AVERAGERES",                         "AverageResponseTime"},
        {"KCDSPARQL1.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL1.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL1.COUNT",                              "Count"},
        {"KCDSPARQL1.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDSPARQL1.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDSPARQL1.DURATION",                           "Duration"},
        {"KCDSPARQL1.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL1.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDSPARQL1.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDSPARQL1.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDSPARQL1.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDSPARQL1.ROLLUPENAB",                         "RollupEnabled"},
        {"KCDSPARQL1.ROLLUPENAB.ENUM.-2147483648",        "Value Exceeds Minimum"},
        {"KCDSPARQL1.ROLLUPENAB.ENUM.2147483647",         "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM63()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPR5.OBJECT",                       "KCD BASEPROBLEMS"},
        {"KCDBASEPR5.ORIGINNODE",                         "Node"},

        {"KCDBASEPR5.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPR5.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPR5.IDENTIFIER",                         "Identifier"},

        {"KCDBASEPR5.NAME",                               "Name"},

        {"KCDBASEPR5.STARTDATE",                          "StartDate"},

        {"KCDBASEPR5.FINISHDATE",                         "FinishDate"},

        {"KCDBASEPR5.DURATION",                           "Duration"},
        {"KCDBASEPR5.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPR5.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEPR5.TYPE",                               "Type"},

        {"KCDBASEPR5.CATEGORY",                           "Category"},

};
return contents;
}

public Object[][] _oM64()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPR4.OBJECT",                       "KCD BASEPROBLEMACTVITYLINKS"},
        {"KCDBASEPR4.ORIGINNODE",                         "Node"},

        {"KCDBASEPR4.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPR4.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPR4.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM65()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBLE2.OBJECT",                       "KCD PROBLEMS"},
        {"KCDPROBLE2.ORIGINNODE",                         "Node"},

        {"KCDPROBLE2.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBLE2.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBLE2.IDENTIFIER",                         "Identifier"},

        {"KCDPROBLE2.NAME",                               "Name"},

        {"KCDPROBLE2.STARTDATE",                          "StartDate"},

        {"KCDPROBLE2.FINISHDATE",                         "FinishDate"},

        {"KCDPROBLE2.DURATION",                           "Duration"},
        {"KCDPROBLE2.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBLE2.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBLE2.TYPE",                               "Type"},

        {"KCDPROBLE2.CATEGORY",                           "Category"},

        {"KCDPROBLE2.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM66()
{
Object[][] contents = 
{
        {"TABLE.KCDBASECOR.OBJECT",                       "KCD BASECORBA"},
        {"KCDBASECOR.ORIGINNODE",                         "Node"},

        {"KCDBASECOR.TIMESTAMP",                          "Timestamp"},

        {"KCDBASECOR.OBJECT_NAM",                         "Object Name"},

        {"KCDBASECOR.NAME",                               "Name"},

        {"KCDBASECOR.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDBASECOR.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASECOR.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASECOR.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDBASECOR.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASECOR.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASECOR.AVERAGERES",                         "AverageResponseTime"},
        {"KCDBASECOR.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASECOR.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASECOR.COUNT",                              "Count"},
        {"KCDBASECOR.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDBASECOR.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDBASECOR.TYPE",                               "Type"},

        {"KCDBASECOR.DURATION",                           "Duration"},
        {"KCDBASECOR.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASECOR.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASECOR.COUNTDELTA",                         "CountDelta"},
        {"KCDBASECOR.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASECOR.COUNTDELTA.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASECOR.DURATIONDE",                         "DurationDelta"},
        {"KCDBASECOR.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASECOR.DURATIONDE.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDBASECOR.LASTAVERAG",                         "LastAverageResponseTime"},
        {"KCDBASECOR.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASECOR.LASTAVERAG.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM67()
{
Object[][] contents = 
{
        {"TABLE.KCDCORBATO.OBJECT",                       "KCD CORBATOTALS"},
        {"KCDCORBATO.ORIGINNODE",                         "Node"},

        {"KCDCORBATO.TIMESTAMP",                          "Timestamp"},

        {"KCDCORBATO.TOTALCOUNT",                         "TotalCount"},
        {"KCDCORBATO.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBATO.TOTALCOUNT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCORBATO.TOTALDURAT",                         "TotalDuration"},
        {"KCDCORBATO.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBATO.TOTALDURAT.ENUM.9223372036854775807", "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM68()
{
Object[][] contents = 
{
        {"TABLE.KCDCORBA.OBJECT",                         "KCD CORBA"},
        {"KCDCORBA.ORIGINNODE",                           "Node"},

        {"KCDCORBA.TIMESTAMP",                            "Timestamp"},

        {"KCDCORBA.OBJECT_NAM",                           "Object Name"},

        {"KCDCORBA.NAME",                                 "Name"},

        {"KCDCORBA.MINIMUMRES",                           "MinimumResponseTime"},
        {"KCDCORBA.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.MINIMUMRES.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBA.MAXIMUMRES",                           "MaximumResponseTime"},
        {"KCDCORBA.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.MAXIMUMRES.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBA.AVERAGERES",                           "AverageResponseTime"},
        {"KCDCORBA.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.AVERAGERES.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBA.COUNT",                                "Count"},
        {"KCDCORBA.COUNT.ENUM.-9223372036854775808",      "Value Exceeds Minimum"},
        {"KCDCORBA.COUNT.ENUM.9223372036854775807",       "Value Exceeds Maximum"},

        {"KCDCORBA.TYPE",                                 "Type"},

        {"KCDCORBA.DURATION",                             "Duration"},
        {"KCDCORBA.DURATION.ENUM.-9223372036854775808",   "Value Exceeds Minimum"},
        {"KCDCORBA.DURATION.ENUM.9223372036854775807",    "Value Exceeds Maximum"},

        {"KCDCORBA.COUNTDELTA",                           "CountDelta"},
        {"KCDCORBA.COUNTDELTA.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.COUNTDELTA.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBA.DURATIONDE",                           "DurationDelta"},
        {"KCDCORBA.DURATIONDE.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.DURATIONDE.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBA.LASTAVERAG",                           "LastAverageResponseTime"},
        {"KCDCORBA.LASTAVERAG.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.LASTAVERAG.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBA.TOTALCOUNT",                           "TotalCount"},
        {"KCDCORBA.TOTALCOUNT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.TOTALCOUNT.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBA.TOTALDURAT",                           "TotalDuration"},
        {"KCDCORBA.TOTALDURAT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.TOTALDURAT.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBA.PERCENTOFT",                           "PercentOfTotal"},
        {"KCDCORBA.PERCENTOFT.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.PERCENTOFT.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBA.WEIGHTEDAV",                           "WeightedAverage"},
        {"KCDCORBA.WEIGHTEDAV.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBA.WEIGHTEDAV.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM69()
{
Object[][] contents = 
{
        {"TABLE.KCDBASEPR8.OBJECT",                       "KCD BASEPROBLEMCORBA"},
        {"KCDBASEPR8.ORIGINNODE",                         "Node"},

        {"KCDBASEPR8.TIMESTAMP",                          "Timestamp"},

        {"KCDBASEPR8.OBJECT_NAM",                         "Object Name"},

        {"KCDBASEPR8.IDENTIFIER",                         "Identifier"},

        {"KCDBASEPR8.NAME",                               "Name"},

        {"KCDBASEPR8.STARTDATE",                          "StartDate"},

        {"KCDBASEPR8.FINISHDATE",                         "FinishDate"},

        {"KCDBASEPR8.DURATION",                           "Duration"},
        {"KCDBASEPR8.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDBASEPR8.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDBASEPR8.CATEGORY",                           "Category"},

};
return contents;
}

public Object[][] _oM70()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBL27.OBJECT",                       "KCD PROBLEMCORBAACTVITYLINKS"},
        {"KCDPROBL27.ORIGINNODE",                         "Node"},

        {"KCDPROBL27.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBL27.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBL27.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM71()
{
Object[][] contents = 
{
        {"TABLE.KCDPROBL30.OBJECT",                       "KCD PROBLEMCORBA"},
        {"KCDPROBL30.ORIGINNODE",                         "Node"},

        {"KCDPROBL30.TIMESTAMP",                          "Timestamp"},

        {"KCDPROBL30.OBJECT_NAM",                         "Object Name"},

        {"KCDPROBL30.IDENTIFIER",                         "Identifier"},

        {"KCDPROBL30.NAME",                               "Name"},

        {"KCDPROBL30.STARTDATE",                          "StartDate"},

        {"KCDPROBL30.FINISHDATE",                         "FinishDate"},

        {"KCDPROBL30.DURATION",                           "Duration"},
        {"KCDPROBL30.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDPROBL30.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDPROBL30.CATEGORY",                           "Category"},

        {"KCDPROBL30.OBJECT_NA1",                         "Object Name1"},

        {"KCDPROBL30.ACTIVITY",                           "Activity"},

};
return contents;
}

public Object[][] _oM72()
{
Object[][] contents = 
{
        {"TABLE.KCDCORBAM0.OBJECT",                       "KCD CORBAMONITOR"},
        {"KCDCORBAM0.ORIGINNODE",                         "Node"},

        {"KCDCORBAM0.TIMESTAMP",                          "Timestamp"},

        {"KCDCORBAM0.OBJECT_NAM",                         "Object Name"},

        {"KCDCORBAM0.TYPE",                               "Type"},

        {"KCDCORBAM0.ENABLED",                            "Enabled"},
        {"KCDCORBAM0.ENABLED.ENUM.0",                     "FALSE"},
        {"KCDCORBAM0.ENABLED.ENUM.1",                     "TRUE"},

        {"KCDCORBAM0.THRESHOLD",                          "Threshold"},
        {"KCDCORBAM0.THRESHOLD.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBAM0.THRESHOLD.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCORBAM0.MINIMUMRES",                         "MinimumResponseTime"},
        {"KCDCORBAM0.MINIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBAM0.MINIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCORBAM0.MAXIMUMRES",                         "MaximumResponseTime"},
        {"KCDCORBAM0.MAXIMUMRES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBAM0.MAXIMUMRES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCORBAM0.AVERAGERES",                         "AverageResponseTime"},
        {"KCDCORBAM0.AVERAGERES.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBAM0.AVERAGERES.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCORBAM0.COUNT",                              "Count"},
        {"KCDCORBAM0.COUNT.ENUM.-9223372036854775808",    "Value Exceeds Minimum"},
        {"KCDCORBAM0.COUNT.ENUM.9223372036854775807",     "Value Exceeds Maximum"},

        {"KCDCORBAM0.DURATION",                           "Duration"},
        {"KCDCORBAM0.DURATION.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBAM0.DURATION.ENUM.9223372036854775807",  "Value Exceeds Maximum"},

        {"KCDCORBAM0.TIMESINCEL",                         "TimeSinceLastReset"},
        {"KCDCORBAM0.TIMESINCEL.ENUM.-9223372036854775808", "Value Exceeds Minimum"},
        {"KCDCORBAM0.TIMESINCEL.ENUM.9223372036854775807", "Value Exceeds Maximum"},

        {"KCDCORBAM0.ROLLUPENAB",                         "RollupEnabled"},
        {"KCDCORBAM0.ROLLUPENAB.ENUM.-2147483648",        "Value Exceeds Minimum"},
        {"KCDCORBAM0.ROLLUPENAB.ENUM.2147483647",         "Value Exceeds Maximum"},

};
return contents;
}

public Object[][] _oM73()
{
Object[][] contents = 
{
        {"TABLE.KCDSTRCSM.OBJECT",                        "KCD CSM STRING NOTIFICATIONS"},
        {"KCDSTRCSM.ORIGINNODE",                          "Node"},

        {"KCDSTRCSM.TIMESTAMP",                           "Timestamp"},

        {"KCDSTRCSM.NOTIFICATI",                          "Notification Type"},

        {"KCDSTRCSM.MONITOR_ID",                          "Monitor ID"},
        {"KCDSTRCSM.MONITOR_ID.ENUM.-2147483648",         "Value Exceeds Minimum"},
        {"KCDSTRCSM.MONITOR_ID.ENUM.2147483647",          "Value Exceeds Maximum"},

        {"KCDSTRCSM.OBSERVED_M",                          "Observed MBean"},

        {"KCDSTRCSM.OBSERVED_A",                          "Observed Attribute"},

        {"KCDSTRCSM.COMPARE_ST",                          "Compare String"},

        {"KCDSTRCSM.STRING_VAL",                          "String Value"},

        {"KCDSTRCSM.NOTIFICAT0",                          "Notification Time Stamp"},

        {"KCDSTRCSM.NOTIFICAT1",                          "Notification Message"},

};
return contents;
}

public Object[][] _oM74()
{
Object[][] contents = 
{
        {"TABLE.KCDGAGCSM.OBJECT",                        "KCD CSM GAUGE NOTIFICATIONS"},
        {"KCDGAGCSM.ORIGINNODE",                          "Node"},

        {"KCDGAGCSM.TIMESTAMP",                           "Timestamp"},

        {"KCDGAGCSM.NOTIFICATI",                          "Notification Type"},

        {"KCDGAGCSM.MONITOR_ID",                          "Monitor ID"},
        {"KCDGAGCSM.MONITOR_ID.ENUM.-2147483648",         "Value Exceeds Minimum"},
        {"KCDGAGCSM.MONITOR_ID.ENUM.2147483647",          "Value Exceeds Maximum"},

        {"KCDGAGCSM.OBSERVED_M",                          "Observed MBean"},

        {"KCDGAGCSM.OBSERVED_A",                          "Observed Attribute"},

        {"KCDGAGCSM.LOW_THRESH",                          "Low Threshold"},

        {"KCDGAGCSM.HIGH_THRES",                          "High Threshold"},

        {"KCDGAGCSM.GAUGE_VALU",                          "Gauge Value"},
        {"KCDGAGCSM.GAUGE_VALU.ENUM.-2147483648",         "Value Exceeds Minimum"},
        {"KCDGAGCSM.GAUGE_VALU.ENUM.2147483647",          "Value Exceeds Maximum"},

        {"KCDGAGCSM.NOTIFICAT0",                          "Notification Time Stamp"},

        {"KCDGAGCSM.NOTIFICAT1",                          "Notification Message"},

};
return contents;
}

public Object[][] _oM75()
{
Object[][] contents = 
{
        {"TABLE.KCDCNTCSM.OBJECT",                        "KCD CSM COUNTER NOTIFICATIONS"},
        {"KCDCNTCSM.ORIGINNODE",                          "Node"},

        {"KCDCNTCSM.TIMESTAMP",                           "Timestamp"},

        {"KCDCNTCSM.NOTIFICATI",                          "Notification Type"},

        {"KCDCNTCSM.MONITOR_ID",                          "Monitor ID"},
        {"KCDCNTCSM.MONITOR_ID.ENUM.-2147483648",         "Value Exceeds Minimum"},
        {"KCDCNTCSM.MONITOR_ID.ENUM.2147483647",          "Value Exceeds Maximum"},

        {"KCDCNTCSM.OBSERVED_M",                          "Observed MBean"},

        {"KCDCNTCSM.OBSERVED_A",                          "Observed Attribute"},

        {"KCDCNTCSM.THRESHOLD",                           "Threshold"},

        {"KCDCNTCSM.OFFSET",                              "Offset"},

        {"KCDCNTCSM.MODULUS",                             "Modulus"},
        {"KCDCNTCSM.MODULUS.ENUM.-2147483648",            "Value Exceeds Minimum"},
        {"KCDCNTCSM.MODULUS.ENUM.2147483647",             "Value Exceeds Maximum"},

        {"KCDCNTCSM.COUNTER_VA",                          "Counter Value"},
        {"KCDCNTCSM.COUNTER_VA.ENUM.-2147483648",         "Value Exceeds Minimum"},
        {"KCDCNTCSM.COUNTER_VA.ENUM.2147483647",          "Value Exceeds Maximum"},

        {"KCDCNTCSM.NOTIFICAT0",                          "Notification Time Stamp"},

        {"KCDCNTCSM.NOTIFICAT1",                          "Notification Message"},

};
return contents;
}

public Object[][] _oM76()
{
Object[][] contents = 
{
        {"TABLE.KCDREGCSM.OBJECT",                        "KCD CSM REGISTERED MONITORS"},
        {"KCDREGCSM.ORIGINNODE",                          "Node"},

        {"KCDREGCSM.TIMESTAMP",                           "Timestamp"},

        {"KCDREGCSM.MONITOR_ID",                          "Monitor ID"},
        {"KCDREGCSM.MONITOR_ID.ENUM.-2147483648",         "Value Exceeds Minimum"},
        {"KCDREGCSM.MONITOR_ID.ENUM.2147483647",          "Value Exceeds Maximum"},

        {"KCDREGCSM.MONITOR_PA",                          "Monitor Parameters"},

        {"KCDREGCSM.MONITOR_NA",                          "Monitor Name"},

};
return contents;
}

 
  /**
   * Provide access to singleton Bundle wrapper for this resource bundle.
   *
   * @return reference to Bundle wrapper for this resource bundle
   */
//  Begin do not translate block
  public static final Bundle getBundle()
  {
    // if singleton bundle not yet created ...
    if (bundle == null)
    {
      // ... create it now
      bundle = new Bundle(BUNDLE_ID, BUNDLE_NAME, BundleManager.getCurrentLocale());
      BundleManager.addBundle(bundle);

      // make long-lived reference to singleton instance
      SingletonManager.add(bundle);
    }

    // return result
    return bundle;
  }

  /**
   * Implements Versioned interface
   */
  public Object getVersion()
  {
    return version.getVersion();
  }

  /**
   * Implements Versioned interface
   */
  public int compareVersion(Object targetVersion)
  {
    return version.compareVersion(targetVersion);
  }

  /**
   * Implementation of ResourceBundle.getKeys.
   */
  public Enumeration getKeys()
  {
    if (map.isEmpty())
      loadMap();

    return new Enumeration()
    {
      private Iterator mi = map.keySet().iterator();

      public boolean hasMoreElements()
      {
        return mi.hasNext();
      }

      public Object nextElement()
      {
        return mi.next();
      }
    };
  }

  /**
   * Gets an object for the given key from this resource bundle.
   * Returns null if this resource bundle does not contain an
   * object for the given key.
   *
   * @param key the key for the desired object
   * @exception NullPointerException if <code>key</code> is <code>null</code>
   * @return the object for the given key, or null
   */
  public Object handleGetObject(String key)
  {
    if (key == null)
      throw new NullPointerException();

    if (map.isEmpty())
      loadMap();

    return map.get(key); 
  }

  // load the resource map
  private void loadMap() 
  {
    Method[] methods = getClass().getDeclaredMethods();

    try
    {
      for (int i=0; i < methods.length; i++)
      {
        Method method = methods[i];

        if (method.getName().startsWith("_oM")) // one of the resource methods
        {
          Object[][] contents = (Object[][])method.invoke(this, (Object[]) null);

          for (int j = 0; j < contents.length; ++j)
          {
            map.put((String)contents[j][0], contents[j][1]);
          }
        }
      }
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }

  private static Bundle bundle;
  private static HashMap map = new HashMap(43);
//End do not translate block
}
