' ----------------------------------------------------------------
' Monitoring Agent for CLM Server Monitoring
' Version 405
' Windows Uninstall Script
'
' IBM
'
' This file was created by the IBM Tivoli Monitoring Agent Builder
' Version 6.3.0
'	IBM Tivoli Monitoring Agent Generator 6.3.0 201302201339
'	IBM Tivoli Monitoring OSLC Plugin 6.3.0 201302201339
'	IBM Tivoli Monitoring Agent Builder CIM Data Provider 6.3.0 201302201339
'	IBM Tivoli Monitoring Agent Builder Custom Data Provider 6.3.0 201302201339
'	IBM Tivoli Monitoring Agent Builder HTTP Data Provider 6.3.0 201302201339
'	IBM Tivoli Monitoring Agent Builder ICMP Data Provider 6.3.0 201302201339
'	IBM Tivoli Monitoring JDBC Data Provider 6.3.0 201302201339
'	IBM Tivoli Monitoring JMX Data Provider 6.3.0 201302201339
'	IBM Tivoli Monitoring Agent Builder Log Data Provider 6.3.0 201302201339
'	IBM Tivoli Monitoring Agent Builder SNMP Data Provider 6.3.0 201302201339
'	IBM Tivoli Monitoring Agent Builder WMI Data Provider 6.3.0 201302201339
'	IBM Tivoli Monitoring TMS DLA Plugin 6.3.0 201302201339
'	IBM Tivoli Monitoring Agent Builder UI 6.3.0 201302201339
'	IBM Tivoli Monitoring Remote Deploy 6.3.0 201302201339
'	IBM Tivoli Monitoring Agent Builder Common 6.3.0 201302201339
'	IBM Tivoli Omnibus 6.3.0 201302201339
' ----------------------------------------------------------------

function showUsage(pcode, moreInfo)
Dim usage
   usage = moreInfo & vbCrLf & "  Usage -- k" & pcode & "_uninstall.vbs <CANDLE_HOME>" & vbCrLf & "     Example - k" + pcode + "_uninstall.bat C:\IBM\ITM" & vbCrLf & "        <CANDLE_HOME>  Identifies the ITM installation directory." & vbCrLf & vbCrLf
   WScript.Echo usage
   showUsage = 2
end function

function logText(text)
shObj.run "%comspec% /c echo " + text + " >> " & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true
end function

' This function will call each agent instance executable with the -remove option.  That option will stop the
' agent if it is running and will remove the service associated with the instance.
function delServices()
   Dim oRegExp
   Dim strSearch, instanceName
   strPath = candleHome + "\TMAITM6_x64"
   Set Folder = fSysObj.GetFolder( strPath )
   Set Files = Folder.Files
   logText("Stopping and removing agent services for k" + pcode)
   Set oRegExp = new RegExp
   oRegExp.Pattern = ".*AGENT_(.*).EXE"
   oRegExp.IgnoreCase = True
   For Each File In Files
      if ( instr(Ucase(File), "K" + Ucase(pcode) + "AGENT_") > 1 And (right(Ucase(File), 3) = "EXE") )then
         instanceName = oRegExp.Replace(File, "$1")
         logText("Found Agent service executable " + File + " instance name " + instanceName)
         rc = shObj.run("%comspec% /c " + candleHome + "\InstallITM\kinconfg /pik" + pcode + instanceName + " >> " & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
         if rc = 0 then
            logText("Agent stop succeeded.")
         else
            logText("Agent stop failed.")
         end if
         rc = shObj.run("%comspec% /c " + candleHome + "\InstallITM\kinconfg /uik" + pcode + instanceName + " >> " & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
         if rc = 0 then
            logText("Service removal succeeded.")
         else
            logText("Service removal failed.")
         end if
      end if
   Next
   delServices = rc
end function

function delAgent()
   rc = delServices()
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\cd_dd_040500000.xml >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\cd_dd.properties >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\k" + pcode + "env* >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\k" + pcode + "agent* >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\k" + pcode + "cma* >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\kcd.ref >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\SQLLIB\k" + pcode + ".his >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\ATTRLIB\k" + pcode + ".atr >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\InstallITM\ver\K" + Ucase(pcode) + "64CMA.ver >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\K" + Ucase(pcode) + "64CMA.lvl >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   strPath = candleHome + "\TMAITM6_x64\TECLIB\K" + Ucase(pcode) + ".baroc"
   if fSysObj.FileExists(strPath) then
      rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\TECLIB\K" + Ucase(pcode) + ".baroc >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   end if
   strPath = candleHome + "\TMAITM6_x64\CAP\k" + pcode + "_default.xml"
   if fSysObj.FileExists(strPath) then
      rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\CAP\k" + pcode + "_default.xml >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   end if
   shObj.run "%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\" + pcode + "*.cfg >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true
   strPath = candleHome + "\TMAITM6_x64\" + pcode + ".aba"
   if fSysObj.FileExists(strPath) then
   rc = rc + shObj.run("%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\" + pcode + ".aba >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   end if
   ' remove the kxx directory and files -- jmx configuration and jars
   strPath = candleHome + "\TMAITM6_x64\k" + pcode
   if ( fSysObj.FolderExists( strPath ) ) then
      rc = rc + shObj.run("%comspec% /c rmdir /s /q " + candleHome + "\TMAITM6_x64\k" + pcode + " >> " & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   end if
   ' remove the support packages
   strPath = candleHome + "\TMAITM6_x64\support\" + pcode
   if ( fSysObj.FolderExists( strPath ) ) then
      rc = rc + shObj.run("%comspec% /c rmdir /s /q " + candleHome + "\TMAITM6_x64\support\" + pcode + " >> " & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true)
   end if
   delAgent = rc
end function
   Dim candleHome, uninstType, pcode
   set args = WScript.Arguments
   Set shObj = WScript.CreateObject("WScript.Shell")
   Set fSysObj = CreateObject("Scripting.FileSystemObject")
   set sysEnvObj = shObj.Environment("SYSTEM")
   pcode = "CD"
   candleHome = shObj.Environment.item("CANDLE_HOME")
   cnt = args.Count
   if args.Count > 0 then
      candleHome = args.Item(0)
   end if
   if candleHome = "" then
      showUsage pcode, ""
      WScript.quit(2)
    end if
'  is CANDLE_HOME valid 
   if  candleHome <> "" then
      if not fSysObj.FolderExists(candleHome) then
         showUsage pcode, "The CANDLE_HOME argument must be set to the install directory of ITM"
         WScript.quit(2)
      end if
   end if
   rc = delAgent
   if rc = 0 then
      logText("Agent data deleted successfully")
      WScript.Echo("Agent uninstalled successfully")
   else
   logText("Error removing the agent")
   WScript.Echo("Error uninstalling the agent")
end if
shObj.run "%comspec% /c del /f /q " + candleHome + "\TMAITM6_x64\k" + pcode + "_uninstall.vbs >>" & candleHome & "\logs\k" & pcode & "_uninstall.log 2>&1", 0, true
WScript.quit(rc)
