@echo off
rem ----------------------------------------------------------------
rem Monitoring Agent for CLM Server Monitoring
rem Version 405
rem Script to configure historical collection for reporting
rem
rem IBM
rem
rem This file was created by the IBM Tivoli Monitoring Agent Builder
rem Version 6.3.0
rem	IBM Tivoli Monitoring Agent Generator 6.3.0 201302201339
rem	IBM Tivoli Monitoring OSLC Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder CIM Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Custom Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder HTTP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder ICMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JDBC Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring JMX Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Log Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder SNMP Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder WMI Data Provider 6.3.0 201302201339
rem	IBM Tivoli Monitoring TMS DLA Plugin 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder UI 6.3.0 201302201339
rem	IBM Tivoli Monitoring Remote Deploy 6.3.0 201302201339
rem	IBM Tivoli Monitoring Agent Builder Common 6.3.0 201302201339
rem	IBM Tivoli Omnibus 6.3.0 201302201339
rem ----------------------------------------------------------------
rem This script will configure historical collection for the following attribute groups
rem	KCD_MONITORED_APPLICATION_NODES
rem	KCD_PERFORMANCE_OBJECT_STATUS
rem ----------------------------------------------------------------
setlocal EnableExtensions EnableDelayedExpansion
set errorlevel=
:processSwitches
@rem With "shift", every argument can be referred to as "%1"
set HAVE_CANDLE_HOME=0
set HAVE_ARGS=0
set HAVE_TEPS_HOST=0
set HAVE_TEPS_USER=0
set HAVE_TEPS_PASS=0
set HAVE_C_INTERVAL=0
set HAVE_P_INTERVAL=0
:processArg
if "%~1" == "" goto endArgs
if "%~1" == "-h" (
    set CANDLE_HOME=%~2
    set HAVE_CANDLE_HOME=1
    shift
)
if "%~1" == "-s" (
    set TEPS_HOST=%~2
    set HAVE_TEPS_HOST=1
    shift
)
if "%~1" == "-u" (
    set TEPS_USER=%~2
    set HAVE_TEPS_USER=1
    shift
)
if "%~1" == "-p" (
    set TEPS_PASS=%~2
    set HAVE_TEPS_PASS=1
    shift
)
if "%~1" == "-n" (
    if %HAVE_ARGS% EQU 1 (
        echo Cannot specify -n and -m together
        goto usage
    )
    set ARGS=-n %~2
    set HAVE_ARGS=1
    shift
)
if "%~1" == "-m" (
    if %HAVE_ARGS% EQU 1 (
        echo Cannot specify -n and -m together
        goto usage
    )
    set ARGS=-m %~2
    set HAVE_ARGS=1
    shift
)
if "%~1" == "-c" (
    set C_INTERVAL=%~2
    set HAVE_C_INTERVAL=1
    shift
)
if "%~1" == "-r" (
    set P_INTERVAL=%~2
    set HAVE_P_INTERVAL=1
    shift
)
shift
goto processArg

:endArgs
if %HAVE_CANDLE_HOME% EQU 0 (
    echo Candle Home not specified
    goto usage
)

if %HAVE_TEPS_HOST% EQU 0 (
    set TEPS_HOST=localhost
)

if %HAVE_TEPS_USER% EQU 0 (
    echo No TEPS user specified
    goto usage
)

if %HAVE_ARGS% EQU 0 (
    echo No TEMS or Managed System list specified
    goto usage
)

if %HAVE_C_INTERVAL% EQU 0 (
    set C_INTERVAL=1h
)

if %HAVE_P_INTERVAL% EQU 0 (
    set P_INTERVAL=2d
)

if %HAVE_TEPS_PASS% EQU 1 (
    "%CANDLE_HOME%\bin\tacmd" tepslogin -s "%TEPS_HOST%" -u "%TEPS_USER%" -p "%TEPS_PASS%"
) else (
    "%CANDLE_HOME%\bin\tacmd" tepslogin -s "%TEPS_HOST%" -u "%TEPS_USER%"
)

if %errorlevel% NEQ 0 (
    echo tacmd login failed with errorlevel %errorlevel%
    goto end
)

rem Create the historical collections
%CANDLE_HOME%\bin\tacmd histcreatecollection -t CD -o "KCD_MONITORED_APPLICATION_NODES" -c %C_INTERVAL% -i %C_INTERVAL% -a "KCD_MONITORED_APPLICATION_NODES"
%CANDLE_HOME%\bin\tacmd histcreatecollection -t CD -o "KCD_PERFORMANCE_OBJECT_STATUS" -c %C_INTERVAL% -i %C_INTERVAL% -a "KCD_PERFORMANCE_OBJECT_STATUS"

rem Start the historical collection
%CANDLE_HOME%\bin\tacmd histstartcollection -a "KCD_MONITORED_APPLICATION_NODES" %ARGS%
%CANDLE_HOME%\bin\tacmd histstartcollection -a "KCD_PERFORMANCE_OBJECT_STATUS" %ARGS%

rem Configure pruning for the collections.
rem We don't want the tables to keep growing.
rem Only keep raw data for 2 days.
%CANDLE_HOME%\bin\tacmd histconfiguregroups -m -t CD -o "KCD_MONITORED_APPLICATION_NODES" -p R=%P_INTERVAL%
%CANDLE_HOME%\bin\tacmd histconfiguregroups -m -t CD -o "KCD_PERFORMANCE_OBJECT_STATUS" -p R=%P_INTERVAL%

goto end

:usage
@echo Usage:
@echo configuretdw.bat
@echo -h ^<ITM installation directory^>
@echo [-s ^<TEPS hostname^>]
@echo -u ^<TEPS username^>
@echo [-p ^<TEPS password^>]
@echo -n ^<TEMS^> ^| -m ^<Managed System Groups^>
@echo [-c ^<Collection interval^>]
@echo [-r ^<Pruning interval^>]
goto end

:end
exit /b %errorlevel%
@endlocal
@goto :eof
