---------------------------------------------------------------
--  IBM Tivoli Monitoring Agent Builder
--
--  (C) Copyright IBM Corporation 2011. All rights reserved.
--
--  Script that alters the ManagedSystem table if it already 
--  exists and adds an additional index.  An additional column is
--  added that correlates subnode managed system names to the
--  agent's managed system name. This information can then be 
--  used in Cognos reports to group together data for a given
--  subnode agent.
--
--  Change "ITMUSER" to your Tivoli Data Warehouse user id.
--
--  osql -S <Server> -U <TDW User id> -P <TDW password> -d <TDW database> -n -I -i alter_table.sql
---------------------------------------------------------------

ALTER TABLE "ITMUSER".ManagedSystem 
  ADD ParentMSN VARCHAR(64)

GO

CREATE UNIQUE INDEX IXManagedSystem ON ManagedSystem
(ManagedSystemName)    

GO

CREATE INDEX IXParentMSN ON ManagedSystem
(ParentMSN)

GO
